/* Copyright 2014 Verisilicon(Beijing) Co.,Ltd. All Rights Reserved. */
/* Register interface based on the document version 1.00 */
    H2REG(HWIF_PRODUCT_ID                         , 0  ,0xffff0000,       16,        0,RO,"Product ID"),
    H2REG(HWIF_MAJOR_NUMBER                       , 0  ,0x0000ff00,        8,        0,RO,"Major number"),
    H2REG(HWIF_MINOR_NUMBER                       , 0  ,0x000000ff,        0,        0,RO,"Minor number"),
    H2REG(HWIF_ENC_STRM_SEGMENT_RDY_INT           , 4  ,0x00001000,       12,        0,RW,"Output stream segment IRQ. When high  stream segment requests an interrupt. SW will reset this after interrupt is handled."),
    H2REG(HWIF_ENC_TIMEOUT_INT                    , 4  ,0x00000800,       11,        0,RW,"enable timeout interrupt when 1"),
    H2REG(HWIF_ENC_IRQ_FUSE_ERROR                 , 4  ,0x00000200,        9,        0,RW,"Interrupt Interrupt status bit encoder. When this bit is high encoder has a FUSE error. SW try to setup feature but HW miss the feature set"),
    H2REG(HWIF_ENC_SLICE_RDY_STATUS               , 4  ,0x00000100,        8,        0,RW,"Interrupt status bit encoder. When this bit is high encoder has encoded a slice."),
    H2REG(HWIF_ENC_IRQ_LINE_BUFFER                , 4  ,0x00000080,        7,        0,RW,"Interrupt status bit encoder linebuffer empty. When setting. Encoder has finished encoding input buffers."),
    H2REG(HWIF_ENC_TIMEOUT                        , 4  ,0x00000040,        6,        0,RW,"Interrupt status bit encoder timeout. When high the encoder has been idling for too long. Possible only if timeout interrupt is enabled"),
    H2REG(HWIF_ENC_BUFFER_FULL                    , 4  ,0x00000020,        5,        1,RW,"IRQ buffer full status bit. bufferFullInterrupt"),
    H2REG(HWIF_ENC_SW_RESET                       , 4  ,0x00000010,        4,        0,RW,"IRQ SW reset status bit."),
    H2REG(HWIF_ENC_BUS_ERROR_STATUS               , 4  ,0x00000008,        3,        0,RW,"Interrupt status bit bus. Error response from bus."),
    H2REG(HWIF_ENC_FRAME_RDY_STATUS               , 4  ,0x00000004,        2,        0,RW,"Interrupt status bit encoder. When this bit is high encoder has encoded a picture."),
    H2REG(HWIF_ENC_IRQ_DIS                        , 4  ,0x00000002,        1,        0,RW,"Encoder IRQ disable. When high  there are no interrupts concerning encoder from HW. Polling must be used to see the interrupt statuses."),
    H2REG(HWIF_ENC_IRQ                            , 4  ,0x00000001,        0,        0,RW,"Encoder IRQ. When high  encoder requests an interrupt. SW will reset this after interrupt is handled."),
    H2REG(HWIF_ENC_AXI_WRITE_ID                   , 8  ,0xff000000,       24,        0,RW,"AXI Write ID"),
    H2REG(HWIF_ENC_AXI_READ_ID                    , 8  ,0x00ff0000,       16,        0,RW,"AXI Read ID"),
    H2REG(HWIF_ENC_STRM_SWAP                      , 8  ,0x0000f000,       12,        0,RW,"byte swap config for output stream data.4 Bit byte order vector to control byte locations inside HW internal 128 bit data vector. For 64 and 32 bit external bus widths the data is first gathered to 128 bit width and then bytes swapped accordingly"),
    H2REG(HWIF_ENC_PIC_SWAP                       , 8  ,0x00000f00,        8,        0,RW,"Byte swap configuration for picture data (encoder input)"),
    H2REG(HWIF_ENC_ROI_MAP_QP_DELTA_MAP_SWAP      , 8  ,0x000000f0,        4,        0,RW,"Byte swap configuration for qp delta of ROI map"),
    H2REG(HWIF_ENC_CTB_RC_MEM_OUT_SWAP            , 8  ,0x0000000f,        0,        0,RW,"Byte swap configuration for ctb rate control memory out"),
    H2REG(HWIF_ENC_CLOCK_GATE_ENCODER_E           , 12 ,0x80000000,       31,        0,RW,"ASIC encoder clock gating control. 0=clock always on. 1=hardware clock gating control"),
    H2REG(HWIF_ENC_CLOCK_GATE_ENCODER_H265_E      , 12 ,0x40000000,       30,        0,RW,"ASIC encoder clock gating control for h265. 0=clock always on. 1=hardware clock gating control"),
    H2REG(HWIF_ENC_CLOCK_GATE_ENCODER_H264_E      , 12 ,0x20000000,       29,        0,RW,"ASIC encoder clock gating control for h264. 0=clock always on. 1=hardware clock gating control"),
    H2REG(HWIF_ENC_CLOCK_GATE_INTER_E             , 12 ,0x10000000,       28,        0,RW,"ASIC inter clock gating control. 0=clock always on. 1=hardware clock gating control"),
    H2REG(HWIF_ENC_CLOCK_GATE_INTER_H265_E        , 12 ,0x08000000,       27,        0,RW,"ASIC inter clock gating control for h265. 0=clock always on. 1=hardware clock gating control"),
    H2REG(HWIF_ENC_CLOCK_GATE_INTER_H264_E        , 12 ,0x04000000,       26,        0,RW,"ASIC inter clock gating control for h264. 0=clock always on. 1=hardware clock gating control"),
    H2REG(HWIF_ENC_AXI_WR_ID_E                    , 12 ,0x02000000,       25,        0,RW,"axi write enable 0=disable. 1=enable."),
    H2REG(HWIF_ENC_AXI_RD_ID_E                    , 12 ,0x01000000,       24,        0,RW,"axi read enable 0=disable. 1=enable."),
    H2REG(HWIF_ENC_CU_INFO_MEM_OUT_SWAP           , 12 ,0x00f00000,       20,        0,RW,"Byte swap configuration for cu infomation memory out"),
    H2REG(HWIF_ENC_SLICE_INT                      , 12 ,0x00000008,        3,        1,RW,"enable slice interrupt when 1"),
    H2REG(HWIF_ENC_LINE_BUFFER_INT                , 12 ,0x00000004,        2,        1,RW,"enable line buffer interrupt when 1"),
    H2REG(HWIF_ENC_STRM_SEGMENT_INT               , 12 ,0x00000002,        1,        1,RW,"enable stream segment interrupt when 1"),
    H2REG(HWIF_ENC_MODE                           , 16 ,0xe0000000,       29,        1,RW,"Encoding mode. streamType.1=hevc. 2=h264. 4=jpeg"),
    H2REG(HWIF_ENC_MIN_CB_SIZE                    , 16 ,0x06000000,       25,        0,RW,"min cb size:0-8x8:1-16x16:2-32x32:3-64x64:we only support 8x8"),
    H2REG(HWIF_ENC_MAX_CB_SIZE                    , 16 ,0x01800000,       23,        0,RW,"max cb size:0-8x8:1-16x16:2-32x32:3-64x64:we only support 64x64"),
    H2REG(HWIF_ENC_MIN_TRB_SIZE                   , 16 ,0x00600000,       21,        0,RW,"min tr block size:0-4x4:1-8x8:2-16x16:3-32x32:we only support 4x4"),
    H2REG(HWIF_ENC_MAX_TRB_SIZE                   , 16 ,0x00180000,       19,        0,RW,"max tr block size:0-4x4:1-8x8:2-16x16:3-32x32:we only support 16x16"),
    H2REG(HWIF_ENC_OUTPUT_STRM_MODE               , 16 ,0x00040000,       18,        1,RW,"output stream mode:0-byte stream:1-Nal stream"),
    H2REG(HWIF_ENC_CHROMA_QP_OFFSET               , 16 ,0x0003e000,       13,        0,RW,"chroma qp offset[-12~12]"),
    H2REG(HWIF_ENC_STRONG_INTRA_SMOOTHING_ENABLED_FLAG, 16 ,0x00001000,       12,        0,RW,"HEVC IntraTU32x32 strong intra smoothing filter enable flag"),
    H2REG(HWIF_BW_LINEBUF_DISABLE                 , 16 ,0x00000800,       11,        0,RW,"BW line buffer disable"),
    H2REG(HWIF_ENC_SCALING_LIST_ENABLED_FLAG      , 16 ,0x00000100,        8,        0,RW,"scaling_list_enabled_flag"),
    H2REG(HWIF_ENC_ACTIVE_OVERRIDE_FLAG           , 16 ,0x00000080,        7,        0,RW,"active override flag"),
    H2REG(HWIF_ENC_SAO_ENABLE                     , 16 ,0x00000040,        6,        0,RW,"SAO enable"),
    H2REG(HWIF_ENC_MAX_TRANS_HIERARCHY_DEPTH_INTRA, 16 ,0x00000038,        3,        0,RW,"max transform hierarchy depth of intra"),
    H2REG(HWIF_ENC_MAX_TRANS_HIERARCHY_DEPTH_INTER, 16 ,0x00000007,        0,        0,RW,"max transform hierarchy depth of inter"),
    H2REG(HWIF_ENC_JPEG_PIC_WIDTH                 , 20 ,0xfff00000,       20,        1,RW,"Encoded jpeg width. jpgLumWidth(unit 8 pixels)"),
    H2REG(HWIF_ENC_JPEG_PIC_HEIGHT                , 20 ,0x000fff00,        8,        1,RW,"Encoded jpeg height. jpgLumHeight(unit 8 pixels):Max width x height is 16384 x 16384"),
    H2REG(HWIF_ENC_PIC_WIDTH                      , 20 ,0xffc00000,       22,        1,RW,"Encoded width. lumWidthLsb(unit 8 pixels). bit[9:0]"),
    H2REG(HWIF_ENC_PIC_HEIGHT                     , 20 ,0x003ff800,       11,        1,RW,"Encoded height. lumHeight(unit 8 pixels):Max width x height is 4096 x 4096"),
    H2REG(HWIF_ENC_PPS_DEBLOCKING_FILTER_OVERRIDE_ENABLED_FLAG, 20 ,0x00000200,        9,        0,RW,"deblocking filter override enable flag.0:disable 1:enable"),
    H2REG(HWIF_ENC_SLICE_DEBLOCKING_FILTER_OVERRIDE_FLAG, 20 ,0x00000100,        8,        0,RW,"slice deblocking filter override flag.0:no 1:yes"),
    H2REG(HWIF_ENC_OUTPUT_CU_INFO_ENABLED         , 20 ,0x00000040,        6,        1,RW,"Enable dumping cu information to external memory.0:disable 1:enable"),
    H2REG(HWIF_ENC_BUFFER_FULL_CONTINUE           , 20 ,0x00000020,        5,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REF_FRAMES                     , 20 ,0x00000018,        3,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_FRAME_CODING_TYPE              , 20 ,0x00000006,        1,        1,RW,"Encoded picture type. frameType.:1-I:0-P:2:B"),
    H2REG(HWIF_ENC_E                              , 20 ,0x00000001,        0,        0,RW,"encoder enable. Setting this bit high will start the encoding operation. HW will reset this when picture is processed or bus error or timeout interrupt is given."),
    H2REG(HWIF_ENC_SLICE_SIZE                     , 24 ,0xfe000000,       25,        1,RW,"slice size in ctu row for HEVC and MB row for H264"),
    H2REG(HWIF_ENC_NUM_SHORT_TERM_REF_PIC_SETS    , 24 ,0x01c00000,       22,        0,RW,"number of short term reference picture sets. For H2v1 only."),
    H2REG(HWIF_ENC_NUM_SHORT_TERM_REF_PIC_SETS_V2 , 24 ,0x01f00000,       20,        0,RW,"number of short term reference picture sets"),
    H2REG(HWIF_ENC_NUM_NEGATIVE_PICS              , 24 ,0x000c0000,       18,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_NUM_POSITIVE_PICS              , 24 ,0x00030000,       16,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_DEBLOCKING_FILTER_CTRL         , 24 ,0x00008000,       15,        0,RW,"deblocking filter control.De-block filtering disable: 1 = filtering is disabled for current picture. 0 = filtering is enabled for current picture"),
    H2REG(HWIF_ENC_DEBLOCKING_TC_OFFSET           , 24 ,0x00007800,       11,        0,RW,"deblocking tc offset:-6~6"),
    H2REG(HWIF_ENC_DEBLOCKING_BETA_OFFSET         , 24 ,0x00000780,        7,        0,RW,"deblocking beta offset:-6~6"),
    H2REG(HWIF_ENC_RPS_ID                         , 24 ,0x0000001c,        2,        0,RW,"rps Id:used for slice header. For H2V1 only."),
    H2REG(HWIF_ENC_RPS_ID_V2                      , 24 ,0x0000007c,        2,        0,RW,"rps Id:used for slice header"),
    H2REG(HWIF_ENC_NAL_SIZE_WRITE                 , 24 ,0x00000002,        1,        1,RW,"Enable writing size of each NAL unit to BaseControl"),
    H2REG(HWIF_ENC_CU_QP_DELTA_ENABLED            , 24 ,0x00000001,        0,        0,RW,"cu qp delta encoding is enabled:used for ROI"),
    H2REG(HWIF_ENC_PIC_INIT_QP                    , 28 ,0xfc000000,       26,        1,RW,"picture header qp"),
    H2REG(HWIF_ENC_CABAC_INIT_FLAG                , 28 ,0x02000000,       25,        0,RW,"cabac init flag"),
    H2REG(HWIF_ENC_NUM_SLICES_READY               , 28 ,0x01fe0000,       17,        0,RW,"HEVC amount of completed slices."),
    H2REG(HWIF_ENC_DIFF_CU_QP_DELTA_DEPTH         , 28 ,0x0000c000,       14,        0,RW,"difference of cu qp delta depth"),
    H2REG(HWIF_ENC_PIC_QP                         , 28 ,0x00003f00,        8,        1,RW,"qp of current picture"),
    H2REG(HWIF_ENC_ROI1_DELTA_QP                  , 28 ,0x000000f0,        4,        0,RW,"ROI1 delta qp"),
    H2REG(HWIF_ENC_ROI2_DELTA_QP                  , 28 ,0x0000000f,        0,        0,RW,"ROI2 delta qp"),
    H2REG(HWIF_ENC_OUTPUT_STRM_BASE               , 32 ,0xffffffff,        0,        0,RW,"stream output buffer0 base address"),
    H2REG(HWIF_ENC_OUTPUT_STRM_BUFFER_LIMIT       , 36 ,0xffffffff,        0,        1,RW,"Stream buffer0 limit / Output stream size (bytes). If buffer0 limit is reached and sw_enc_HWStreamBufChain=0 buffer_full_IRQ will be generated. Output stream size will be updated here when a slice or frame is finished"),
    H2REG(HWIF_ENC_SIZE_TBL_BASE                  , 40 ,0xffffffff,        0,        0,RW,"sizeTblBase"),
    H2REG(HWIF_ENC_POC                            , 44 ,0xffffffff,        0,        0,RW,"encoded Picture order count"),
    H2REG(HWIF_ENC_INPUT_Y_BASE                   , 48 ,0xffffffff,        0,        0,RW,"input image lum base address"),
    H2REG(HWIF_ENC_INPUT_CB_BASE                  , 52 ,0xffffffff,        0,        0,RW,"input image cb base address"),
    H2REG(HWIF_ENC_INPUT_CR_BASE                  , 56 ,0xffffffff,        0,        0,RW,"input image cr base address"),
    H2REG(HWIF_ENC_RECON_Y_BASE                   , 60 ,0xffffffff,        0,        0,RW,"recon image lum base address"),
    H2REG(HWIF_ENC_RECON_CHROMA_BASE              , 64 ,0xffffffff,        0,        0,RW,"recon image chroma base address"),
    H2REG(HWIF_ENC_DELTA_POC0                     , 68 ,0xffc00000,       22,        0,RW,"delta of poc0.  For H2V1 only."),
    H2REG(HWIF_ENC_L0_DELTA_POC0                  , 68 ,0xffc00000,       22,        0,RW,"delta poc of list0 pic0. For H2V2 or later version."),
    H2REG(HWIF_ENC_L0_LONG_TERM_FLAG0             , 68 ,0x00200000,       21,        0,RW,"list0 pic0 is long term"),
    H2REG(HWIF_ENC_USED_BY_CURR_PIC0              , 68 ,0x00100000,       20,        0,RW,"used by current pic0.  For H2V1 only."),
    H2REG(HWIF_ENC_L0_USED_BY_CURR_PIC0           , 68 ,0x00100000,       20,        0,RW,"list0 pic0 used by current. For H2V2 or later version."),
    H2REG(HWIF_ENC_DELTA_POC1                     , 68 ,0x000ffc00,       10,        0,RW,"delta of poc1. For H2V1 only."),
    H2REG(HWIF_ENC_L0_DELTA_POC1                  , 68 ,0x000ffc00,       10,        0,RW,"delta poc of list0 pic1. For H2V2 or later version."),
    H2REG(HWIF_ENC_L0_LONG_TERM_FLAG1             , 68 ,0x00000200,        9,        0,RW,"list0 pic1 is long term"),
    H2REG(HWIF_ENC_USED_BY_CURR_PIC1              , 68 ,0x00000100,        8,        0,RW,"used by current pic1. For H2V1 only."),
    H2REG(HWIF_ENC_L0_USED_BY_CURR_PIC1           , 68 ,0x00000100,        8,        0,RW,"list0 pic1 used by current. For H2V2 or later version."),
    H2REG(HWIF_ENC_ACTIVE_L0_CNT                  , 68 ,0x000000c0,        6,        0,RW,"active l0 count"),
    H2REG(HWIF_ENC_RECON_LUMA_COMPRESSOR_ENABLE   , 68 ,0x00000020,        5,        1,RW,"recon frame luma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_RECON_CHROMA_COMPRESSOR_ENABLE , 68 ,0x00000010,        4,        1,RW,"recon frame chroma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_L0_REF0_LUMA_COMPRESSOR_ENABLE , 68 ,0x00000008,        3,        1,RW,"list0 ref0 frame luma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_L0_REF0_CHROMA_COMPRESSOR_ENABLE, 68 ,0x00000004,        2,        1,RW,"list0 ref0 frame chroma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_L0_REF1_LUMA_COMPRESSOR_ENABLE , 68 ,0x00000002,        1,        0,RW,"list0 ref1 frame luma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_L0_REF1_CHROMA_COMPRESSOR_ENABLE, 68 ,0x00000001,        0,        0,RW,"list0 ref1 frame chroma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_Y0             , 72 ,0xffffffff,        0,        0,RW,"reference picture reconstructed list0 luma0"),
    H2REG(HWIF_ENC_STRM_STARTOFFSET               , 72 ,0xfc000000,       26,        0,RW,"Stream start offset = amount of StrmHdrRem (bits) [0..63]"),
    H2REG(HWIF_ENC_JPEG_SLICE                     , 72 ,0x02000000,       25,        0,RW,"JPEG slice enable. 0=picture ends with EOI. 1=slice ends with RST"),
    H2REG(HWIF_ENC_JPEG_MODE                      , 72 ,0x01000000,       24,        0,RW,"JPEG mode. 0=4:2:0 (4lum+2chr blocks/MCU). 1=4:2:2 (2lum+2chr blocks/MCU)"),
    H2REG(HWIF_ENC_JPEG_RSTINT                    , 72 ,0x00ff0000,       16,        0,RW,"JPEG restart marker interval when slices are disabled (mb rows) [0..255]"),
    H2REG(HWIF_ENC_JPEG_RST                       , 72 ,0x0000ffff,        0,        0,RW,"JPEG restart marker for first RST. incremented by HW for next RST"),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_CHROMA0        , 76 ,0xffffffff,        0,        0,RW,"reference picture reconstructed list0 chroma0"),
    H2REG(HWIF_ENC_STRM_HDRREM1                   , 76 ,0xffffffff,        0,        0,RW,"Stream header remainder bits MSB (MSB aligned)"),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_Y1             , 80 ,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_JPEG_ROWLENGTH                 , 80 ,0xfffe0000,       17,        1,RW,"JPEG Input luminance row length. jpgLumWidthSrc (pixels) [96..16384]"),
    H2REG(HWIF_ENC_LJPEG_EN                       , 80 ,0x00010000,       16,        1,RW,"JPEG enable lossless JPEG with Huffman coding"),
    H2REG(HWIF_ENC_LJPEG_FORMAT                   , 80 ,0x0000c000,       14,        1,RW,"JPEG internal color space for lossless"),
    H2REG(HWIF_ENC_LJPEG_PSV                      , 80 ,0x00003800,       11,        1,RW,"JPEG prediction selection value for lossless"),
    H2REG(HWIF_ENC_LJPEG_PT                       , 80 ,0x00000700,        8,        1,RW,"JPEG point transform value for lossless"),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_CHROMA1        , 84 ,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_STRM_HDRREM2                   , 84 ,0xffffffff,        0,        0,RW,"Stream header remainder bits LSB (MSB aligned)"),
    H2REG(HWIF_ENC_CIR_START                      , 88 ,0xfffc0000,       18,        0,RW,"cir start"),
    H2REG(HWIF_ENC_CIR_INTERVAL                   , 88 ,0x0003fff0,        4,        0,RW,"Cyclic Intra Refresh"),
    H2REG(HWIF_ENC_RCROI_ENABLE                   , 88 ,0x0000000f,        0,        1,RW,"bit3:RC enable; bit2:Quatily adjustment enable; bit1:roi map enable; bit0:roi area enable."),
    H2REG(HWIF_ENC_INTRA_AREA_LEFT                , 92 ,0xff000000,       24,        0,RW,"intra Area Left"),
    H2REG(HWIF_ENC_INTRA_AREA_RIGHT               , 92 ,0x00ff0000,       16,        0,RW,"intra Area Right"),
    H2REG(HWIF_ENC_INTRA_AREA_TOP                 , 92 ,0x0000ff00,        8,        0,RW,"intra Area Top"),
    H2REG(HWIF_ENC_INTRA_AREA_BOTTOM              , 92 ,0x000000ff,        0,        0,RW,"intra Area Bottom"),
    H2REG(HWIF_ENC_ROI1_LEFT                      , 96 ,0xff000000,       24,        0,RW,"ROI1 Area Left"),
    H2REG(HWIF_ENC_ROI1_RIGHT                     , 96 ,0x00ff0000,       16,        0,RW,"ROI1 Area Right"),
    H2REG(HWIF_ENC_ROI1_TOP                       , 96 ,0x0000ff00,        8,        0,RW,"ROI1 Area Top"),
    H2REG(HWIF_ENC_ROI1_BOTTOM                    , 96 ,0x000000ff,        0,        0,RW,"ROI1 Area Bottom"),
    H2REG(HWIF_ENC_ROI2_LEFT                      , 100,0xff000000,       24,        0,RW,"ROI2 Area Left"),
    H2REG(HWIF_ENC_ROI2_RIGHT                     , 100,0x00ff0000,       16,        0,RW,"ROI2 Area Right"),
    H2REG(HWIF_ENC_ROI2_TOP                       , 100,0x0000ff00,        8,        0,RW,"ROI2 Area Top"),
    H2REG(HWIF_ENC_ROI2_BOTTOM                    , 100,0x000000ff,        0,        0,RW,"ROI2 Area Bottom"),
    H2REG(HWIF_ENC_INTRA_PENALTY_PIC4X4           , 104,0xfff80000,       19,        0,RW,"intra penalty for pic4x4"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_PIC1         , 104,0x0007fc00,       10,        0,RW,"intra MPM penalty for pic1"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_PIC2         , 104,0x000003ff,        0,        0,RW,"intra MPM penalty for pic2"),
    H2REG(HWIF_ENC_INTRA_SIZE_FACTOR_0            , 104,0xffc00000,       22,        0,RW,"intra size factor 0"),
    H2REG(HWIF_ENC_INTRA_SIZE_FACTOR_1            , 104,0x003ff000,       12,        0,RW,"intra size factor 1"),
    H2REG(HWIF_ENC_INTRA_SIZE_FACTOR_2            , 104,0x00000ffc,        2,        0,RW,"intra size factor 2"),
    H2REG(HWIF_ENC_INTRA_PENALTY_PIC8X8           , 108,0xfff80000,       19,        0,RW,"intra penalty for pic8x8"),
    H2REG(HWIF_ENC_INTRA_PENALTY_PIC16X16         , 108,0x0007ffe0,        5,        0,RW,"intra penalty for pic16x16"),
    H2REG(HWIF_ENC_INTRA_SIZE_FACTOR_3            , 108,0xffc00000,       22,        0,RW,"intra size factor 3"),
    H2REG(HWIF_ENC_INTRA_MODE_FACTOR_0            , 108,0x003e0000,       17,        0,RW,"intra mode factor 0"),
    H2REG(HWIF_ENC_INTRA_MODE_FACTOR_1            , 108,0x0001f800,       11,        0,RW,"intra mode factor 1"),
    H2REG(HWIF_ENC_INTRA_MODE_FACTOR_2            , 108,0x000007f0,        4,        0,RW,"intra mode factor 2"),
    H2REG(HWIF_ENC_INTRA_PENALTY_PIC32X32         , 112,0xfffc0000,       18,        0,RW,"intra penalty for pic32x32"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_PIC3         , 112,0x0003ff80,        7,        0,RW,"intra MPM penalty for pic3"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_0                , 112,0xff000000,       24,        0,RW,"lambda satd me 0"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_1                , 112,0x00ff0000,       16,        0,RW,"lambda satd me 1"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_2                , 112,0x0000ff00,        8,        0,RW,"lambda satd me 2"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_3                , 112,0x000000ff,        0,        0,RW,"lambda satd me 3"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_0_EXPAND5BIT     , 112,0xfff80000,       19,        0,RW,"lambda satd me 0"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_1_EXPAND5BIT     , 112,0x0007ffc0,        6,        0,RW,"lambda satd me 1"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI14X4          , 116,0xfff80000,       19,        0,RW,"intra penalty for roi14x4"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_ROI11        , 116,0x0007fc00,       10,        0,RW,"intra MPM penalty for roi11"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_ROI12        , 116,0x000003ff,        0,        0,RW,"intra MPM penalty for roi12"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_4                , 116,0xff000000,       24,        0,RW,"lambda satd me 4"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_5                , 116,0x00ff0000,       16,        0,RW,"lambda satd me 5"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_6                , 116,0x0000ff00,        8,        0,RW,"lambda satd me 6"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_7                , 116,0x000000ff,        0,        0,RW,"lambda satd me 7"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_2_EXPAND5BIT     , 116,0xfff80000,       19,        0,RW,"lambda satd me 2"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_3_EXPAND5BIT     , 116,0x0007ffc0,        6,        0,RW,"lambda satd me 3"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI18X8          , 120,0xfff80000,       19,        0,RW,"intra penalty for roi18x8"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI116X16        , 120,0x0007ffe0,        5,        0,RW,"intra penalty for roi116x16"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_8                , 120,0xff000000,       24,        0,RW,"lambda satd me 8"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_9                , 120,0x00ff0000,       16,        0,RW,"lambda satd me 9"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_10               , 120,0x0000ff00,        8,        0,RW,"lambda satd me 10"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_11               , 120,0x000000ff,        0,        0,RW,"lambda satd me 11"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_4_EXPAND5BIT     , 120,0xfff80000,       19,        0,RW,"lambda satd me 4"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_5_EXPAND5BIT     , 120,0x0007ffc0,        6,        0,RW,"lambda satd me 5"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI132X32        , 124,0xfffc0000,       18,        0,RW,"intra penalty for roi132x32"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_ROI13        , 124,0x0003ff80,        7,        0,RW,"intra MPM penalty for roi13"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_12               , 124,0xff000000,       24,        0,RW,"lambda satd me 12"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_13               , 124,0x00ff0000,       16,        0,RW,"lambda satd me 13"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_14               , 124,0x0000ff00,        8,        0,RW,"lambda satd me 14"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_15               , 124,0x000000ff,        0,        0,RW,"lambda satd me 15"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_6_EXPAND5BIT     , 124,0xfff80000,       19,        0,RW,"lambda satd me 6"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_7_EXPAND5BIT     , 124,0x0007ffc0,        6,        0,RW,"lambda satd me 7"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI24X4          , 128,0xfff80000,       19,        0,RW,"intra penalty for roi24x4"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_ROI21        , 128,0x0007fc00,       10,        0,RW,"intra MPM penalty for roi21"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_ROI22        , 128,0x000003ff,        0,        0,RW,"intra MPM penalty for roi22"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_0                 , 128,0xfffe0000,       17,        0,RW,"inter me SSE lambda 0"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_1                 , 128,0x0001fffc,        2,        0,RW,"inter me SSE lambda 1"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_8_EXPAND5BIT     , 128,0xfff80000,       19,        0,RW,"lambda satd me 8"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_9_EXPAND5BIT     , 128,0x0007ffc0,        6,        0,RW,"lambda satd me 9"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI28X8          , 132,0xfff80000,       19,        0,RW,"intra penalty for roi28x8"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI216X16        , 132,0x0007ffe0,        5,        0,RW,"intra penalty for roi216x16"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_2                 , 132,0xfffe0000,       17,        0,RW,"inter me SSE lambda 2"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_3                 , 132,0x0001fffc,        2,        0,RW,"inter me SSE lambda 3"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_10_EXPAND5BIT    , 132,0xfff80000,       19,        0,RW,"lambda satd me 10"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_11_EXPAND5BIT    , 132,0x0007ffc0,        6,        0,RW,"lambda satd me 11"),
    H2REG(HWIF_ENC_INTRA_PENALTY_ROI232X32        , 136,0xfffc0000,       18,        0,RW,"intra penalty for roi232x32"),
    H2REG(HWIF_ENC_INTRA_MPM_PENALTY_ROI23        , 136,0x0003ff80,        7,        0,RW,"intra MPM penalty for roi23"),
    H2REG(HWIF_ENC_LAMBDA_MOTIONSAD               , 136,0x0000007f,        0,        0,RW,"lamda for motion SAD"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_4                 , 136,0xfffe0000,       17,        0,RW,"inter me SSE lambda 4"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_5                 , 136,0x0001fffc,        2,        0,RW,"inter me SSE lambda 5"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_12_EXPAND5BIT    , 136,0xfff80000,       19,        0,RW,"lambda satd me 12"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_13_EXPAND5BIT    , 136,0x0007ffc0,        6,        0,RW,"lambda satd me 13"),
    H2REG(HWIF_ENC_LAMDA_MOTION_SSE               , 140,0xfffc0000,       18,        0,RW,"lambda for motion SSE"),
    H2REG(HWIF_ENC_BITS_EST_TU_SPLIT_PENALTY      , 140,0x00038000,       15,        0,RW,"bits estimation for tu split penalty"),
    H2REG(HWIF_ENC_BITS_EST_BIAS_INTRA_CU_8       , 140,0x00007f00,        8,        0,RW,"bits estimation bias for intra cu 8"),
    H2REG(HWIF_ENC_BITS_EST_BIAS_INTRA_CU_16      , 140,0x000000ff,        0,        0,RW,"bits estimation bias for intra cu 16"),
    H2REG(HWIF_ENC_BITS_EST_BIAS_INTRA_CU_32      , 144,0xff800000,       23,        0,RW,"bits estimation bias for intra cu 32"),
    H2REG(HWIF_ENC_BITS_EST_BIAS_INTRA_CU_64      , 144,0x007fe000,       13,        0,RW,"bits estimation bias for intra cu 64"),
    H2REG(HWIF_ENC_INTER_SKIP_BIAS                , 144,0x00001fc0,        6,        0,RW,"inter skip bias"),
    H2REG(HWIF_ENC_BITS_EST_1N_CU_PENALTY         , 144,0x0000003c,        2,        0,RW,"bits estimation 1N cu penalty"),
    H2REG(HWIF_ENC_OUTPUT_BITWIDTH_CHROMA         , 144,0x00000003,        0,        0,RW,"chroma output bitwidth 0=8 bit. 1=9 bit. 2=10 bit."),
    H2REG(HWIF_ENC_LAMDA_SAO_CHROMA               , 148,0xfffc0000,       18,        0,RW,"lambda for SAO chroma"),
    H2REG(HWIF_ENC_LAMDA_SAO_LUMA                 , 148,0x0003fff0,        4,        0,RW,"lambda for SAO luma"),
    H2REG(HWIF_ENC_CHROFFSET                      , 148,0x0000000f,        0,        0,RW,"Input chrominance offset (bytes) [0..15]"),
    H2REG(HWIF_ENC_INPUT_FORMAT                   , 152,0xf0000000,       28,        1,RW,"Input image format. inputFormat. 0=YUV420P/1=YUV420SP/2=YUYV422/3=UYVY422/4=RGB565/5=RGB555/6=RGB444/7=RGB888/8=RGB101010/9=I010/10=P010/11=PACKED10BITPLANAR/12=Y0L2/13=DAHUAHEVC/14=DAHUAH264"),
    H2REG(HWIF_ENC_INPUT_ROTATION                 , 152,0x0c000000,       26,        1,RW,"Input image rotation. 0=disabled. 1=90 degrees right. 2=90 degrees left.3=180 degree right."),
    H2REG(HWIF_ENC_OUTPUT_BITWIDTH_LUM            , 152,0x03000000,       24,        0,RW,"luma output bitwidth 0=8 bit. 1=9 bit. 2=10 bit."),
    H2REG(HWIF_ENC_LUMOFFSET                      , 152,0x00f00000,       20,        0,RW,"Input luminance offset (bytes) [0..15]"),
    H2REG(HWIF_ENC_ROWLENGTH                      , 152,0x000fffc0,        6,        1,RW,"Input luminance row length. lumWidthSrc (pixels) [96..8192]"),
    H2REG(HWIF_ENC_XFILL                          , 152,0x00000030,        4,        0,RW,"Overfill pixels on right edge of image div2 [0.1.2.3]"),
    H2REG(HWIF_ENC_YFILL                          , 152,0x0000000e,        1,        1,RW,"Overfill pixels on bottom edge of image. YFill. [0...7]"),
    H2REG(HWIF_ENC_MIRROR                         , 152,0x00000001,        0,        0,RW,"mirror or not. [0.1]"),
    H2REG(HWIF_ENC_RGBCOEFFA                      , 156,0xffff0000,       16,        0,RW,"RGB to YUV conversion coefficient A"),
    H2REG(HWIF_ENC_RGBCOEFFB                      , 156,0x0000ffff,        0,        0,RW,"RGB to YUV conversion coefficient B"),
    H2REG(HWIF_ENC_RGBCOEFFC                      , 160,0xffff0000,       16,        0,RW,"RGB to YUV conversion coefficient C"),
    H2REG(HWIF_ENC_RGBCOEFFE                      , 160,0x0000ffff,        0,        0,RW,"RGB to YUV conversion coefficient D"),
    H2REG(HWIF_ENC_RGBCOEFFF                      , 164,0xffff0000,       16,        0,RW,"RGB to YUV conversion coefficient E"),
    H2REG(HWIF_ENC_RMASKMSB                       , 164,0x0000f800,       11,        0,RW,"RGB R-component mask MSB bit position [0..31]"),
    H2REG(HWIF_ENC_GMASKMSB                       , 164,0x000007c0,        6,        0,RW,"RGB G-component mask MSB bit position [0..31]"),
    H2REG(HWIF_ENC_BMASKMSB                       , 164,0x0000003e,        1,        0,RW,"RGB B-component mask MSB bit position [0..31]"),
    H2REG(HWIF_ENC_BASESCALEDOUTLUM               , 168,0xffffffff,        0,        0,RW,"Base address for output of down-scaled encoder image in YUYV 4:2:2 format"),
    H2REG(HWIF_ENC_SCALEDOUTWIDTH                 , 172,0xfff80000,       19,        1,RW,"Scaling width of down-scaled image. ScaledWidth. [96..4076]"),
    H2REG(HWIF_ENC_SCALEDOUTWIDTHRATIO            , 172,0x0007fff8,        3,        0,RW,"Scaling ratio for width of down-scaled image. Fixed point integer 1.16."),
    H2REG(HWIF_ENC_SCALEDOUTWIDTHMSB              , 172,0x00000004,        2,        1,RW,"Scaling width of down-scaled image. ScaledWidthMsb."),
    H2REG(HWIF_ENC_SCALE_MODE                     , 172,0x00000003,        0,        1,RW,"Scaling mode. ScalingMode. 0=disabled. 1=scaling only. 2=scale+encode"),
    H2REG(HWIF_ENC_SCALEDOUTHEIGHT                , 176,0xfffc0000,       18,        1,RW,"Scaling height of down-scaled image. ScaledHeight. [2..4078]"),
    H2REG(HWIF_ENC_SCALEDOUTHEIGHTRATIO           , 176,0x0003fffc,        2,        0,RW,"Scaling ratio for height of down-scaled image. Fixed point integer 1.16."),
    H2REG(HWIF_ENC_INPUT_FORMAT_MSB               , 176,0x00000003,        0,        1,RW,"Input image format bit[5:4]. inputFormatMsb."),
    H2REG(HWIF_ENC_SCALEDOUT_SWAP                 , 180,0xf0000000,       28,        0,RW,"Byte swap configuration for scaledout data (scaledout)"),
    H2REG(HWIF_ENC_CHROMA_SWAP                    , 180,0x08000000,       27,        1,RW,"Swap order of chroma bytes in semiplanar input format."),
    H2REG(HWIF_ENC_ENCODED_CTB_NUMBER             , 180,0x07ffc000,       14,        0,RW,"MB count output. max 64*64"),
    H2REG(HWIF_ENC_SCALEDSKIPLEFTPIXELCOLUMN      , 180,0x00003000,       12,        0,RW,"skip left pixel column"),
    H2REG(HWIF_ENC_SCALEDSKIPTOPPIXELROW          , 180,0x00000c00,       10,        0,RW,"skip top pixel row"),
    H2REG(HWIF_ENC_VSCALE_WEIGHT_EN               , 180,0x00000200,        9,        0,RW,"vertical scale weight enable."),
    H2REG(HWIF_ENC_SCALEDHORIZONTALCOPY           , 180,0x00000100,        8,        0,RW,"horizontal data copy directly"),
    H2REG(HWIF_ENC_SCALEDVERTICALCOPY             , 180,0x00000080,        7,        0,RW,"vertical data copy directly"),
    H2REG(HWIF_ENC_NALUNITSIZE_SWAP               , 180,0x00000078,        3,        0,RW,"Byte swap configuration for Nal Unit size output"),
    H2REG(HWIF_ENC_SCALEDOUT_FORMAT               , 180,0x00000004,        2,        1,RW,"out-loop scaler ouput format"),
    H2REG(HWIF_ENC_COMPRESSEDCOEFF_BASE           , 184,0xffffffff,        0,        0,RW,"Base address for compressed coefficients."),
    H2REG(HWIF_ENC_COMPRESSEDCOEFF_BASE_MSB       , 188,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_BASESCALEDOUTLUM_MSB           , 192,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_Y0_MSB         , 196,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_CHROMA0_MSB    , 200,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_Y1_MSB         , 204,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_CHROMA1_MSB    , 208,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_INPUT_Y_BASE_MSB               , 212,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_INPUT_CB_BASE_MSB              , 216,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_INPUT_CR_BASE_MSB              , 220,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_RECON_Y_BASE_MSB               , 224,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_RECON_CHROMA_BASE_MSB          , 228,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_SIZE_TBL_BASE_MSB              , 232,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_OUTPUT_STRM_BASE_MSB           , 236,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_RECON_LUMA_COMPRESS_TABLE_BASE , 240,0xffffffff,        0,        0,RW,"Base address for recon luma compress table LSB."),
    H2REG(HWIF_ENC_RECON_LUMA_COMPRESS_TABLE_BASE_MSB, 244,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_RECON_CHROMA_COMPRESS_TABLE_BASE, 248,0xffffffff,        0,        0,RW,"Base address for recon Chroma compress table LSB."),
    H2REG(HWIF_ENC_RECON_CHROMA_COMPRESS_TABLE_BASE_MSB, 252,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L0_REF0_LUMA_COMPRESS_TABLE_BASE, 256,0xffffffff,        0,        0,RW,"Base address for list 0 ref 0 luma compress table LSB."),
    H2REG(HWIF_ENC_L0_REF0_LUMA_COMPRESS_TABLE_BASE_MSB, 260,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L0_REF0_CHROMA_COMPRESS_TABLE_BASE, 264,0xffffffff,        0,        0,RW,"Base address for list 0 ref 0 Chroma compress table LSB."),
    H2REG(HWIF_ENC_L0_REF0_CHROMA_COMPRESS_TABLE_BASE_MSB, 268,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L0_REF1_LUMA_COMPRESS_TABLE_BASE, 272,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L0_REF1_LUMA_COMPRESS_TABLE_BASE_MSB, 276,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L0_REF1_CHROMA_COMPRESS_TABLE_BASE, 280,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L0_REF1_CHROMA_COMPRESS_TABLE_BASE_MSB, 284,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_RECON_LUMA_4N_BASE             , 288,0xffffffff,        0,        0,RW,"Base address for recon luma 4n base LSB."),
    H2REG(HWIF_ENC_RECON_LUMA_4N_BASE_MSB         , 292,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_4N0_BASE       , 296,0xffffffff,        0,        0,RW,"reference picture reconstructed list0 4n 0"),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_4N0_BASE_MSB   , 300,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_4N1_BASE       , 304,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L0_4N1_BASE_MSB   , 308,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_LAMDA_MOTION_SSE_ROI1          , 312,0xfffc0000,       18,        0,RW,"roi1  lambda for motion SSE"),
    H2REG(HWIF_ENC_LAMDA_MOTION_SSE_ROI2          , 312,0x0003fff0,        4,        0,RW,"roi2 lambda for motion SSE"),
    H2REG(HWIF_ENC_SKIP_CHROMA_DC_THREADHOLD      , 312,0x00000003,        0,        0,RW,"skip chroma dc threadhold"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_6                 , 312,0xfffe0000,       17,        0,RW,"inter me SSE lambda 6"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_7                 , 312,0x0001fffc,        2,        0,RW,"inter me SSE lambda 7"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_14_EXPAND5BIT    , 312,0xfff80000,       19,        0,RW,"lambda satd me 14"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_15_EXPAND5BIT    , 312,0x0007ffc0,        6,        0,RW,"lambda satd me 15"),
    H2REG(HWIF_ENC_LAMBDA_MOTIONSAD_ROI1          , 316,0xfe000000,       25,        0,RW,"roi1 lamda for motion SAD"),
    H2REG(HWIF_ENC_LAMBDA_MOTIONSAD_ROI2          , 316,0x01fc0000,       18,        0,RW,"roi2 lamda for motion SAD"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_8                 , 316,0xfffe0000,       17,        0,RW,"inter me SSE lambda 8"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_9                 , 316,0x0001fffc,        2,        0,RW,"inter me SSE lambda 9"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_0_EXPAND6BIT      , 316,0xfffff800,       11,        0,RW,"inter me SSE lambda 0"),
    H2REG(HWIF_ENC_HWH264SUPPORT                  , 320,0x80000000,       31,        0,RO,"H264 encoding supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWSCALINGSUPPORT               , 320,0x40000000,       30,        0,RO,"Down-scaling supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWBFRAMESUPPORT                , 320,0x20000000,       29,        0,RO,"HW bframe support. 0=not support bframe. 1=support bframe"),
    H2REG(HWIF_ENC_HWRGBSUPPORT                   , 320,0x10000000,       28,        0,RO,"RGB to YUV conversion supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWHEVCSUPPORT                  , 320,0x08000000,       27,        0,RO,"HEVC encoding supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWVP9SUPPORT                   , 320,0x04000000,       26,        0,RO,"VP9 encoding supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWDENOISESUPPORT               , 320,0x02000000,       25,        0,RO,"denoise supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWMAIN10SUPPORT                , 320,0x01000000,       24,        0,RO,"main10 supported by HW. 0=main8 supported. 1=main10 supported"),
    H2REG(HWIF_ENC_HWBUS                          , 320,0x00e00000,       21,        0,RO,"Bus connection of HW. 1=AHB. 2=OCP. 3=AXI. 4=PCI. 5=AXIAHB. 6=AXIAPB."),
    H2REG(HWIF_ENC_HWCAVLCSUPPORT                 , 320,0x00100000,       20,        0,RO,"CAVLC supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWLINEBUFSUPPORT               , 320,0x00080000,       19,        0,RO,"LineBuffer input mode supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWPROGRDOSUPPORT               , 320,0x00040000,       18,        0,RO,"Prog Rdo supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWRFCSUPPORT                   , 320,0x00020000,       17,        0,RO,"Reference frame compression supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWTU32SUPPORT                  , 320,0x00010000,       16,        0,RO,"TU32 supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWJPEGSUPPORT                  , 320,0x00008000,       15,        0,RO,"JPEG encoder supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWBUSWIDTH                     , 320,0x00006000,       13,        0,RO,"Bus width of HW. 0=32b. 1=64b. 2=128b"),
    H2REG(HWIF_ENC_HWMAXVIDEOWIDTH                , 320,0x00001fff,        0,        0,RO,"Maximum video width supported by HW (pixels)"),
    H2REG(HWIF_ENC_HWMAXVIDEOWIDTHHEVC            , 320,0x00001fff,        0,        0,RO,"Maximum video width supported by HW for HEVC encoding (unit 8 pixels)"),
    H2REG(HWIF_ENC_MAX_BURST                      , 324,0xff000000,       24,        0,RW,"for support AXI4.0 burst length is programmable Default value:0x20"),
    H2REG(HWIF_TIMEOUT_OVERRIDE_E                 , 324,0x00800000,       23,        0,RW,"enable signal if timeout period is controlled by software Default value: 0x0"),
    H2REG(HWIF_TIMEOUT_CYCLES                     , 324,0x007fffff,        0,        0,RW,"timeout cycles number default value: 0x0"),
    H2REG(HWIF_ENC_HW_PERFORMANCE                 , 328,0xffffffff,        0,        0,RO,"record hardware  performance(cycles) of current picture"),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_Y0             , 332,0xffffffff,        0,        0,RW,"reference picture reconstructed list1 luma0"),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_CHROMA0        , 336,0xffffffff,        0,        0,RW,"reference picture reconstructed list1 chroma0"),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_Y1             , 340,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_CHROMA1        , 344,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_Y0_MSB         , 348,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_CHROMA0_MSB    , 352,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_Y1_MSB         , 356,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_CHROMA1_MSB    , 360,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L1_DELTA_POC0                  , 364,0xffc00000,       22,        0,RW,"delta poc of list1 pic0"),
    H2REG(HWIF_ENC_L1_LONG_TERM_FLAG0             , 364,0x00200000,       21,        0,RW,"list1 pic0 is long term"),
    H2REG(HWIF_ENC_L1_USED_BY_CURR_PIC0           , 364,0x00100000,       20,        0,RW,"list1 pic0 used by current"),
    H2REG(HWIF_ENC_L1_DELTA_POC1                  , 364,0x000ffc00,       10,        0,RW,"delta poc of list1 pic1"),
    H2REG(HWIF_ENC_L1_LONG_TERM_FLAG1             , 364,0x00000200,        9,        0,RW,"list1 pic1 is long term"),
    H2REG(HWIF_ENC_L1_USED_BY_CURR_PIC1           , 364,0x00000100,        8,        0,RW,"list1 pic1 used by current"),
    H2REG(HWIF_ENC_ACTIVE_L1_CNT                  , 364,0x000000c0,        6,        0,RW,"active l0 count"),
    H2REG(HWIF_ENC_LONG_TERM_REF_PICS_PRESENT_FLAG, 364,0x00000010,        4,        0,RW,"long-term reference pictures may be used for inter prediction"),
    H2REG(HWIF_ENC_L1_REF0_LUMA_COMPRESSOR_ENABLE , 364,0x00000008,        3,        1,RW,"list1 ref0 frame luma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_L1_REF0_CHROMA_COMPRESSOR_ENABLE, 364,0x00000004,        2,        1,RW,"list1 ref0 frame chroma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_L1_REF1_LUMA_COMPRESSOR_ENABLE , 364,0x00000002,        1,        0,RW,"list1 ref1 frame luma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_L1_REF1_CHROMA_COMPRESSOR_ENABLE, 364,0x00000001,        0,        0,RW,"list1 ref1 frame chroma compressor enable flag 0=disable 1=enable."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_4N0_BASE       , 368,0xffffffff,        0,        0,RW,"reference picture reconstructed list1 4n 0"),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_4N0_BASE_MSB   , 372,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_4N1_BASE       , 376,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_REFPIC_RECON_L1_4N1_BASE_MSB   , 380,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L1_REF0_LUMA_COMPRESS_TABLE_BASE, 384,0xffffffff,        0,        0,RW,"Base address for list 1 ref 0 luma compress table LSB."),
    H2REG(HWIF_ENC_L1_REF0_LUMA_COMPRESS_TABLE_BASE_MSB, 388,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L1_REF0_CHROMA_COMPRESS_TABLE_BASE, 392,0xffffffff,        0,        0,RW,"Base address for list 1 ref 0 Chroma compress table LSB."),
    H2REG(HWIF_ENC_L1_REF0_CHROMA_COMPRESS_TABLE_BASE_MSB, 396,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L1_REF1_LUMA_COMPRESS_TABLE_BASE, 400,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L1_REF1_LUMA_COMPRESS_TABLE_BASE_MSB, 404,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L1_REF1_CHROMA_COMPRESS_TABLE_BASE, 408,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_L1_REF1_CHROMA_COMPRESS_TABLE_BASE_MSB, 412,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_LISTS_MODI_PRESENT_FLAG        , 416,0x80000000,       31,        0,RW,"lists_modification_present_flag from pps"),
    H2REG(HWIF_ENC_RDO_LEVEL                      , 416,0x60000000,       29,        0,RW,"RDO level"),
    H2REG(HWIF_ENC_LIST_ENTRY_L1_PIC1             , 416,0x01e00000,       21,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_LIST_ENTRY_L1_PIC0             , 416,0x001e0000,       17,        0,RW,"list1 picture0 index"),
    H2REG(HWIF_ENC_REF_PIC_LIST_MODI_FLAG_L1      , 416,0x00010000,       16,        0,RW,"reference picture list1 modification flag"),
    H2REG(HWIF_ENC_LIST_ENTRY_L0_PIC1             , 416,0x000001e0,        5,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_LIST_ENTRY_L0_PIC0             , 416,0x0000001e,        1,        0,RW,"list0 picture0 index"),
    H2REG(HWIF_ENC_REF_PIC_LIST_MODI_FLAG_L0      , 416,0x00000001,        0,        0,RW,"reference picture list0 modification flag"),
    H2REG(HWIF_ENC_TARGETPICSIZE                  , 420,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_MINPICSIZE                     , 424,0xffffffff,        0,        0,RW,"Allowed minimum picture size for CTB rate control."),
    H2REG(HWIF_ENC_MAXPICSIZE                     , 428,0xffffffff,        0,        0,RW,"Allowed minimum picture size for CTB rate control."),
    H2REG(HWIF_ENC_AVERAGEQP                      , 432,0xff000000,       24,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_NONZEROCOUNT                   , 432,0x00ffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_ROIMAPDELTAQPADDR              , 436,0xffffffff,        0,        0,RW,"Qp delta map"),
    H2REG(HWIF_ENC_ROIMAPDELTAQPADDR_MSB          , 440,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_INTRACU8NUM                    , 444,0xfffff000,       12,        0,RO,"The number of block8x8 with type INTRA."),
    H2REG(HWIF_ENC_SKIPCU8NUM                     , 448,0xfffff000,       12,        0,RO,"The number of block8x8 with type SKIP."),
    H2REG(HWIF_ENC_PBFRAME4NRDCOST                , 452,0xffffffff,        0,        0,RW,"PBFrame4NRdCost"),
    H2REG(HWIF_ENC_CTBRCBITMEMADDR_CURRENT        , 456,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_COLCTBS_STORE_BASE             , 456,0xffffffff,        0,        0,RW,"H.264 collocated mb memory address of current frame (for store)"),
    H2REG(HWIF_ENC_CTBRCBITMEMADDR_CURRENT_MSB    , 460,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_COLCTBS_STORE_BASE_MSB         , 460,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_CTBRCBITMEMADDR_PREVIOUS       , 464,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_COLCTBS_LOAD_BASE              , 464,0xffffffff,        0,        0,RW,"H.264 collocated mb memory address of reference frame (for load)"),
    H2REG(HWIF_ENC_CTBRCBITMEMADDR_PREVIOUS_MSB   , 468,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_COLCTBS_LOAD_BASE_MSB          , 468,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_CTBRCTHRDMIN                   , 472,0xffff0000,       16,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_CTBRCTHRDMAX                   , 472,0x0000ffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_CTBBITSMIN                     , 476,0xffff0000,       16,        0,RW,"minimum lcu bits number of last picture"),
    H2REG(HWIF_ENC_CTBBITSMAX                     , 476,0x0000ffff,        0,        0,RW,"maximum lcu bits number of last picture"),
    H2REG(HWIF_ENC_TOTALLCUBITS                   , 480,0xffffffff,        0,        0,RW,"total bits number of all lcus of last picture not including slice header bits"),
    H2REG(HWIF_ENC_BITSRATIO                      , 484,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_10                , 488,0xfffe0000,       17,        0,RW,"inter me SSE lambda 10"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_11                , 488,0x0001fffc,        2,        0,RW,"inter me SSE lambda 11"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_1_EXPAND6BIT      , 488,0xfffff800,       11,        0,RW,"inter me SSE lambda 1"),
    H2REG(HWIF_ENC_AV1_ALLOW_INTRABC              , 488,0x80000000,       31,        0,RW,"av1_allow_intrabc"),
    H2REG(HWIF_ENC_AV1_CODED_LOSSLESS             , 488,0x40000000,       30,        0,RW,"av1_coded_lossless"),
    H2REG(HWIF_ENC_AV1_DELTA_Q_RES                , 488,0x3c000000,       26,        0,RW,"av1_delta_q_res"),
    H2REG(HWIF_ENC_AV1_ENABLE_FILTER_INTRA        , 488,0x02000000,       25,        0,RW,"av1_enable_filter_intra"),
    H2REG(HWIF_ENC_AV1_TX_MODE                    , 488,0x01800000,       23,        0,RW,"av1_tx_mode"),
    H2REG(HWIF_ENC_AV1_REDUCED_TX_SET_USED        , 488,0x00400000,       22,        0,RW,"av1_reduced_tx_set_used"),
    H2REG(HWIF_ENC_AV1_SEG_ENABLE                 , 488,0x00200000,       21,        0,RW,"av1_seg_enable"),
    H2REG(HWIF_ENC_AV1_ALLOW_HIGH_PRECISION_MV    , 488,0x00100000,       20,        0,RW,"av1_allow_high_precision_mv"),
    H2REG(HWIF_ENC_AV1_SKIP_MODE_FLAG             , 488,0x00080000,       19,        0,RW,"av1_skip_mode_flag"),
    H2REG(HWIF_ENC_AV1_REFERENCE_MODE             , 488,0x00060000,       17,        0,RW,"av1_reference_mode"),
    H2REG(HWIF_ENC_AV1_LIST0_REF_FRAME            , 488,0x0001e000,       13,        0,RW,"av1_list0_ref_frame"),
    H2REG(HWIF_ENC_AV1_LIST1_REF_FRAME            , 488,0x00001e00,        9,        0,RW,"av1_list1_ref_frame"),
    H2REG(HWIF_ENC_AV1_ENABLE_INTERINTRA_COMPOUND , 488,0x00000100,        8,        0,RW,"av1_enable_interintra_compound"),
    H2REG(HWIF_ENC_AV1_ENABLE_DUAL_FILTER         , 488,0x00000080,        7,        0,RW,"av1_enable_dual_filter"),
    H2REG(HWIF_ENC_AV1_CUR_FRAME_FORCE_INTEGER_MV , 488,0x00000040,        6,        0,RW,"av1_cur_frame_force_integer_mv"),
    H2REG(HWIF_ENC_AV1_SWITCHABLE_MOTION_MODE     , 488,0x00000020,        5,        0,RW,"av1_switchable_motion_mode"),
    H2REG(HWIF_ENC_AV1_INTERP_FILTER              , 488,0x0000001c,        2,        0,RW,"av1_interp_filter"),
    H2REG(HWIF_ENC_AV1_ALLOW_UPDATE_CDF           , 488,0x00000002,        1,        0,RW,"av1_allow_update_cdf"),
    H2REG(HWIF_ENC_AV1_ENABLE_ORDER_HINT          , 488,0x00000001,        0,        0,RW,"av1_enable_order_hint"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_12                , 492,0xfffe0000,       17,        0,RW,"inter me SSE lambda 12"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_13                , 492,0x0001fffc,        2,        0,RW,"inter me SSE lambda 13"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_2_EXPAND6BIT      , 492,0xfffff800,       11,        0,RW,"inter me SSE lambda 2"),
    H2REG(HWIF_ENC_CTBRC_QPDELTA_FLAG_REVERSE     , 492,0x00000001,        0,        0,RW,"ctbrc qpdelta flag reverse"),
    H2REG(HWIF_ENC_AV1_DB_FILTER_LVL0             , 492,0xfc000000,       26,        0,RW,"av1_db_filter_lvl0"),
    H2REG(HWIF_ENC_AV1_DB_FILTER_LVL1             , 492,0x03f00000,       20,        0,RW,"av1_db_filter_lvl1"),
    H2REG(HWIF_ENC_AV1_DB_FILTER_LVL_U            , 492,0x000fc000,       14,        0,RW,"av1_db_filter_lvl_u"),
    H2REG(HWIF_ENC_AV1_DB_FILTER_LVL_V            , 492,0x00003f00,        8,        0,RW,"av1_db_filter_lvl_v"),
    H2REG(HWIF_ENC_AV1_SHARPNESS_LVL              , 492,0x000000e0,        5,        0,RW,"av1_sharpness_lvl"),
    H2REG(HWIF_ENC_AV1_PRIMARY_REF_FRAME          , 492,0x0000001c,        2,        0,RW,"select reference frame for probability table"),
    H2REG(HWIF_ENC_AV1_BTXTYPESEARCH              , 492,0x00000002,        1,        0,RW,"enable AV1 tx type search"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_14                , 496,0xfffe0000,       17,        0,RW,"inter me SSE lambda 14"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_15                , 496,0x0001fffc,        2,        0,RW,"inter me SSE lambda 15"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_3_EXPAND6BIT      , 496,0xfffff800,       11,        0,RW,"inter me SSE lambda 3"),
    H2REG(HWIF_ENC_AV1_CDEF_DAMPING               , 496,0xe0000000,       29,        0,RW,"av1_cdef_damping"),
    H2REG(HWIF_ENC_AV1_CDEF_STRENGTHS             , 496,0x1f800000,       23,        0,RW,"av1_cdef_strengths"),
    H2REG(HWIF_ENC_AV1_CDEF_UV_STRENGTHS          , 496,0x007e0000,       17,        0,RW,"av1_cdef_uv_strengths"),
    H2REG(HWIF_ENC_AV1_CDEF_BITS                  , 496,0x00018000,       15,        0,RW,"av1_cdef_bits"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_0             , 500,0xfffc0000,       18,        0,RW,"intra SATD lambda 0"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_1             , 500,0x0003fff0,        4,        0,RW,"intra SATD lambda 1"),
    H2REG(HWIF_ENC_AV1_FRAMECTX_BASE              , 500,0xffffffff,        0,        0,RW,"AV1 frameCtx probability table address"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_2             , 504,0xfffc0000,       18,        0,RW,"intra SATD lambda 2"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_3             , 504,0x0003fff0,        4,        0,RW,"intra SATD lambda 3"),
    H2REG(HWIF_ENC_AV1_FRAMECTX_BASE_MSB          , 504,0xffffffff,        0,        0,RW,"AV1 frameCtx probability table address MSB"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_4             , 508,0xfffc0000,       18,        0,RW,"intra SATD lambda 4"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_5             , 508,0x0003fff0,        4,        0,RW,"intra SATD lambda 5"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR1            , 508,0xffffffff,        0,        0,RO,"Overlay 1 input buffer address"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_6             , 512,0xfffc0000,       18,        0,RW,"intra SATD lambda 6"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_7             , 512,0x0003fff0,        4,        0,RW,"intra SATD lambda 7"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET1               , 512,0xffff0000,       16,        0,RO,"Overlay 1 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET1               , 512,0x0000ffff,        0,        0,RO,"Overlay 1 x offset"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_8             , 516,0xfffc0000,       18,        0,RW,"intra SATD lambda 8"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_9             , 516,0x0003fff0,        4,        0,RW,"intra SATD lambda 9"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT1                , 516,0xffff0000,       16,        0,RO,"Overlay 1 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH1                 , 516,0x0000ffff,        0,        0,RO,"Overlay 1 width"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_10            , 520,0xfffc0000,       18,        0,RW,"intra SATD lambda 10"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_11            , 520,0x0003fff0,        4,        0,RW,"intra SATD lambda 11"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR2            , 520,0xffffffff,        0,        0,RO,"Overlay 2 input buffer address"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_12            , 524,0xfffc0000,       18,        0,RW,"intra SATD lambda 12"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_13            , 524,0x0003fff0,        4,        0,RW,"intra SATD lambda 13"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET2               , 524,0xffff0000,       16,        0,RO,"Overlay 2 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET2               , 524,0x0000ffff,        0,        0,RO,"Overlay 2 x offset"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_14            , 528,0xfffc0000,       18,        0,RW,"intra SATD lambda 14"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_15            , 528,0x0003fff0,        4,        0,RW,"intra SATD lambda 15"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT2                , 528,0xffff0000,       16,        0,RO,"Overlay 2 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH2                 , 528,0x0000ffff,        0,        0,RO,"Overlay 2 width"),
    H2REG(HWIF_ENC_SSE_DIV_256                    , 532,0xffffffff,        0,        0,RW,"sse divide 256"),
    H2REG(HWIF_ENC_NOISE_REDUCTION_ENABLE         , 536,0xc0000000,       30,        0,RW,"enable/disable the de-noise function"),
    H2REG(HWIF_ENC_NOISE_LOW                      , 536,0x3f000000,       24,        0,RW,"the low boundary for noise estimation"),
    H2REG(HWIF_ENC_NR_MBNUM_INVERT_REG            , 536,0x0000ffff,        0,        0,RW,"inverter of luma16 num *N"),
    H2REG(HWIF_ENC_SLICEQP_PREV                   , 540,0xfc000000,       26,        0,RW,"previous frame slice QP"),
    H2REG(HWIF_ENC_THRESH_SIGMA_CUR               , 540,0x03ffffe0,        5,        0,RW,"sigma threshold for current frame"),
    H2REG(HWIF_ENC_SIGMA_CUR                      , 544,0xffff0000,       16,        0,RW,"noise sigma for current frame"),
    H2REG(HWIF_ENC_FRAME_SIGMA_CALCED             , 544,0x0000ffff,        0,        0,RW,"calculated sigma of coding frame"),
    H2REG(HWIF_ENC_THRESH_SIGMA_CALCED            , 548,0xfffff800,       11,        0,RW,"noise sigma for current frame"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_4_EXPAND6BIT      , 552,0xfffff800,       11,        0,RW,"inter me SSE lambda 3"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA2                 , 552,0x003fc000,       14,        0,RO,"Overlay 2 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT2                , 552,0x00003000,       12,        0,RO,"Overlay 2 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE2                , 552,0x00000800,       11,        0,RO,"Overlay 2 enable"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA1                 , 552,0x000007f8,        3,        0,RO,"Overlay 1 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT1                , 552,0x00000006,        1,        0,RO,"Overlay 1 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE1                , 552,0x00000001,        0,        0,RO,"Overlay 1 enable"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_5_EXPAND6BIT      , 556,0xfffff800,       11,        0,RW,"inter me SSE lambda 5"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR3            , 556,0xffffffff,        0,        0,RO,"Overlay 3 input buffer address"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_6_EXPAND6BIT      , 560,0xfffff800,       11,        0,RW,"inter me SSE lambda 6"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET3               , 560,0xffff0000,       16,        0,RO,"Overlay 3 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET3               , 560,0x0000ffff,        0,        0,RO,"Overlay 3 x offset"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_7_EXPAND6BIT      , 564,0xfffff800,       11,        0,RW,"inter me SSE lambda 7"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT3                , 564,0xffff0000,       16,        0,RO,"Overlay 3 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH3                 , 564,0x0000ffff,        0,        0,RO,"Overlay 3 width"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_8_EXPAND6BIT      , 568,0xfffff800,       11,        0,RW,"inter me SSE lambda 8"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR4            , 568,0xffffffff,        0,        0,RO,"Overlay 4 input buffer address"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_9_EXPAND6BIT      , 572,0xfffff800,       11,        0,RW,"inter me SSE lambda 9"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET4               , 572,0xffff0000,       16,        0,RO,"Overlay 4 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET4               , 572,0x0000ffff,        0,        0,RO,"Overlay 4 x offset"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_10_EXPAND6BIT     , 576,0xfffff800,       11,        0,RW,"inter me SSE lambda 10"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT4                , 576,0xffff0000,       16,        0,RO,"Overlay 4 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH4                 , 576,0x0000ffff,        0,        0,RO,"Overlay 4 width"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_11_EXPAND6BIT     , 580,0xfffff800,       11,        0,RW,"inter me SSE lambda 11"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA4                 , 580,0x003fc000,       14,        0,RO,"Overlay 4 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT4                , 580,0x00003000,       12,        0,RO,"Overlay 4 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE4                , 580,0x00000800,       11,        0,RO,"Overlay 4 enable"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA3                 , 580,0x000007f8,        3,        0,RO,"Overlay 3 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT3                , 580,0x00000006,        1,        0,RO,"Overlay 3 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE3                , 580,0x00000001,        0,        0,RO,"Overlay 3 enable"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_12_EXPAND6BIT     , 584,0xfffff800,       11,        0,RW,"inter me SSE lambda 12"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR5            , 584,0xffffffff,        0,        0,RO,"Overlay 5 input buffer address"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_13_EXPAND6BIT     , 588,0xfffff800,       11,        0,RW,"inter me SSE lambda 13"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET5               , 588,0xffff0000,       16,        0,RO,"Overlay 5 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET5               , 588,0x0000ffff,        0,        0,RO,"Overlay 5 x offset"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_14_EXPAND6BIT     , 592,0xfffff800,       11,        0,RW,"inter me SSE lambda 14"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT5                , 592,0xffff0000,       16,        0,RO,"Overlay 5 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH5                 , 592,0x0000ffff,        0,        0,RO,"Overlay 5 width"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_15_EXPAND6BIT     , 596,0xfffff800,       11,        0,RW,"inter me SSE lambda 15"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR6            , 596,0xffffffff,        0,        0,RO,"Overlay 6 input buffer address"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_16               , 600,0xfff80000,       19,        0,RW,"lambda satd me 16"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_17               , 600,0x0007ffc0,        6,        0,RW,"lambda satd me 17"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET6               , 600,0xffff0000,       16,        0,RO,"Overlay 6 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET6               , 600,0x0000ffff,        0,        0,RO,"Overlay 6 x offset"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_18               , 604,0xfff80000,       19,        0,RW,"lambda satd me 18"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_19               , 604,0x0007ffc0,        6,        0,RW,"lambda satd me 19"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT6                , 604,0xffff0000,       16,        0,RO,"Overlay 6 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH6                 , 604,0x0000ffff,        0,        0,RO,"Overlay 6 width"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_20               , 608,0xfff80000,       19,        0,RW,"lambda satd me 20"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_21               , 608,0x0007ffc0,        6,        0,RW,"lambda satd me 21"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA6                 , 608,0x003fc000,       14,        0,RO,"Overlay 6 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT6                , 608,0x00003000,       12,        0,RO,"Overlay 6 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE6                , 608,0x00000800,       11,        0,RO,"Overlay 6 enable"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA5                 , 608,0x000007f8,        3,        0,RO,"Overlay 5 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT5                , 608,0x00000006,        1,        0,RO,"Overlay 5 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE5                , 608,0x00000001,        0,        0,RO,"Overlay 5 enable"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_22               , 612,0xfff80000,       19,        0,RW,"lambda satd me 22"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_23               , 612,0x0007ffc0,        6,        0,RW,"lambda satd me 23"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR7            , 612,0xffffffff,        0,        0,RO,"Overlay 7 input buffer address"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_24               , 616,0xfff80000,       19,        0,RW,"lambda satd me 24"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_25               , 616,0x0007ffc0,        6,        0,RW,"lambda satd me 25"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET7               , 616,0xffff0000,       16,        0,RO,"Overlay 7 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET7               , 616,0x0000ffff,        0,        0,RO,"Overlay 7 x offset"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_26               , 620,0xfff80000,       19,        0,RW,"lambda satd me 26"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_27               , 620,0x0007ffc0,        6,        0,RW,"lambda satd me 27"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT7                , 620,0xffff0000,       16,        0,RO,"Overlay 7 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH7                 , 620,0x0000ffff,        0,        0,RO,"Overlay 7 width"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_28               , 624,0xfff80000,       19,        0,RW,"lambda satd me 28"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_29               , 624,0x0007ffc0,        6,        0,RW,"lambda satd me 29"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR8            , 624,0xffffffff,        0,        0,RO,"Overlay 8 input buffer address"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_30               , 628,0xfff80000,       19,        0,RW,"lambda satd me 30"),
    H2REG(HWIF_ENC_LAMDA_SATD_ME_31               , 628,0x0007ffc0,        6,        0,RW,"lambda satd me 31"),
    H2REG(HWIF_ENC_OVERLAY_YOFFSET8               , 628,0xffff0000,       16,        0,RO,"Overlay 8 y offset"),
    H2REG(HWIF_ENC_OVERLAY_XOFFSET8               , 628,0x0000ffff,        0,        0,RO,"Overlay 8 x offset"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_16                , 632,0xfffff800,       11,        0,RW,"inter me SSE lambda 16"),
    H2REG(HWIF_ENC_OVERLAY_HEIGHT8                , 632,0xffff0000,       16,        0,RO,"Overlay 8 height"),
    H2REG(HWIF_ENC_OVERLAY_WIDTH8                 , 632,0x0000ffff,        0,        0,RO,"Overlay 8 width"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_17                , 636,0xfffff800,       11,        0,RW,"inter me SSE lambda 17"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA8                 , 636,0x003fc000,       14,        0,RO,"Overlay 8 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT8                , 636,0x00003000,       12,        0,RO,"Overlay 8 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE8                , 636,0x00000800,       11,        0,RO,"Overlay 8 enable"),
    H2REG(HWIF_ENC_OVERLAY_ALPHA7                 , 636,0x000007f8,        3,        0,RO,"Overlay 7 alpha"),
    H2REG(HWIF_ENC_OVERLAY_FORMAT7                , 636,0x00000006,        1,        0,RO,"Overlay 7 format"),
    H2REG(HWIF_ENC_OVERLAY_ENABLE7                , 636,0x00000001,        0,        0,RO,"Overlay 7 enable"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_18                , 640,0xfffff800,       11,        0,RW,"inter me SSE lambda 18"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR1_MSB        , 640,0xffffffff,        0,        0,RO,"Overlay 1 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_19                , 644,0xfffff800,       11,        0,RW,"inter me SSE lambda 19"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR2_MSB        , 644,0xffffffff,        0,        0,RO,"Overlay 2 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_20                , 648,0xfffff800,       11,        0,RW,"inter me SSE lambda 20"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR3_MSB        , 648,0xffffffff,        0,        0,RO,"Overlay 3 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_21                , 652,0xfffff800,       11,        0,RW,"inter me SSE lambda 21"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR4_MSB        , 652,0xffffffff,        0,        0,RO,"Overlay 4 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_22                , 656,0xfffff800,       11,        0,RW,"inter me SSE lambda 22"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR5_MSB        , 656,0xffffffff,        0,        0,RO,"Overlay 5 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_23                , 660,0xfffff800,       11,        0,RW,"inter me SSE lambda 23"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR6_MSB        , 660,0xffffffff,        0,        0,RO,"Overlay 6 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_24                , 664,0xfffff800,       11,        0,RW,"inter me SSE lambda 24"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR7_MSB        , 664,0xffffffff,        0,        0,RO,"Overlay 7 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_25                , 668,0xfffff800,       11,        0,RW,"inter me SSE lambda 25"),
    H2REG(HWIF_ENC_OVERLAY_INPUT_ADDR8_MSB        , 668,0xffffffff,        0,        0,RO,"Overlay 8 input buffer address MSB part"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_26                , 672,0xfffff800,       11,        0,RW,"inter me SSE lambda 26"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_27                , 676,0xfffff800,       11,        0,RW,"inter me SSE lambda 27"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_28                , 680,0xfffff800,       11,        0,RW,"inter me SSE lambda 28"),
    H2REG(HWIF_ENC_RC_CTBRC_SLICEQPOFFSET         , 680,0x000007e0,        5,        0,RW,"slice Qp offset for ROI -30~+30"),
    H2REG(HWIF_ENC_ROI1_DELTA_QP_RC               , 680,0x0000001f,        0,        0,RW,"ROI1 delta qp with rc"),
    H2REG(HWIF_ENC_LAMBDA_DEPTH                   , 680,0x80000000,       31,        0,RW,"Lambda depth 0 or 1"),
    H2REG(HWIF_ENC_SSE_QP_FACTOR                  , 680,0x007fff00,        8,        0,RW,"SSE QP Factor. Fix Point Q1.14"),
    H2REG(HWIF_ENC_ROI1_QP_VALUE                  , 680,0x000000fe,        1,        0,RW,"ROI1 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI1_QP_TYPE                   , 680,0x00000001,        0,        0,RW,"ROI1 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_29                , 684,0xfffff800,       11,        0,RW,"inter me SSE lambda 29"),
    H2REG(HWIF_ENC_ROI2_DELTA_QP_RC               , 684,0x0000001f,        0,        0,RW,"ROI2 delta qp with rc"),
    H2REG(HWIF_ENC_SAD_QP_FACTOR                  , 684,0x007fff00,        8,        0,RW,"SAD QP Factor. Fix Point Q1.14"),
    H2REG(HWIF_ENC_ROI2_QP_VALUE                  , 684,0x000000fe,        1,        0,RW,"ROI2 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI2_QP_TYPE                   , 684,0x00000001,        0,        0,RW,"ROI2 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_30                , 688,0xfffff800,       11,        0,RW,"inter me SSE lambda 30"),
    H2REG(HWIF_ENC_QP_MIN                         , 688,0x000007e0,        5,        0,RW,"min value of qp"),
    H2REG(HWIF_ENC_COMPLEXITY_OFFSET              , 688,0x0000001f,        0,        0,RW,"block rc complexity offset"),
    H2REG(HWIF_ENC_LAMDA_SSE_ME_31                , 692,0xfffff800,       11,        0,RW,"inter me SSE lambda 31"),
    H2REG(HWIF_ENC_QP_MAX                         , 692,0x000007e0,        5,        0,RW,"max value of qp"),
    H2REG(HWIF_ENC_RC_QPDELTA_RANGE               , 692,0x0000000f,        0,        0,RW,"rc qp delta range"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_16            , 696,0xfffc0000,       18,        0,RW,"intra SATD lambda 16"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_17            , 696,0x0003fff0,        4,        0,RW,"intra SATD lambda 17"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_18            , 700,0xfffc0000,       18,        0,RW,"intra SATD lambda 18"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_19            , 700,0x0003fff0,        4,        0,RW,"intra SATD lambda 19"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_20            , 704,0xfffc0000,       18,        0,RW,"intra SATD lambda 20"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_21            , 704,0x0003fff0,        4,        0,RW,"intra SATD lambda 21"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_22            , 708,0xfffc0000,       18,        0,RW,"intra SATD lambda 22"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_23            , 708,0x0003fff0,        4,        0,RW,"intra SATD lambda 23"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_24            , 712,0xfffc0000,       18,        0,RW,"intra SATD lambda 24"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_25            , 712,0x0003fff0,        4,        0,RW,"intra SATD lambda 25"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_26            , 716,0xfffc0000,       18,        0,RW,"intra SATD lambda 26"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_27            , 716,0x0003fff0,        4,        0,RW,"intra SATD lambda 27"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_28            , 720,0xfffc0000,       18,        0,RW,"intra SATD lambda 28"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_29            , 720,0x0003fff0,        4,        0,RW,"intra SATD lambda 29"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_30            , 724,0xfffc0000,       18,        0,RW,"intra SATD lambda 30"),
    H2REG(HWIF_ENC_INTRA_SATD_LAMDA_31            , 724,0x0003fff0,        4,        0,RW,"intra SATD lambda 31"),
    H2REG(HWIF_ENC_RC_BLOCK_SIZE                  , 724,0x0000000c,        2,        0,RW,"block rc block size 0=64x64. 1=32x32. 2=16x16"),
    H2REG(HWIF_ENC_QP_FRACTIONAL                  , 728,0xffff0000,       16,        0,RW,"qp fractional part"),
    H2REG(HWIF_ENC_QP_DELTA_GAIN                  , 728,0x0000ffff,        0,        0,RW,"qp delta gain"),
    H2REG(HWIF_ENC_QP_SUM                         , 732,0xffffffc0,        6,        0,RO,"Block qp sum"),
    H2REG(HWIF_ENC_QP_NUM                         , 736,0xfffff000,       12,        0,RO,"Block qp number"),
    H2REG(HWIF_ENC_PIC_COMPLEXITY                 , 740,0xfffffe00,        9,        0,RO,"Picture complexity"),
    H2REG(HWIF_TIMEOUT_CYCLES_MSB                 , 740,0x000001ff,        0,        0,RW,"Extend swreg81. Timeout cycles number. Bits 31:23."),
    H2REG(HWIF_ENC_CU_INFORMATION_TABLE_BASE      , 744,0xffffffff,        0,        0,RW,"Base address for CU information table LSB"),
    H2REG(HWIF_ENC_CU_INFORMATION_TABLE_BASE_MSB  , 748,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_CU_INFORMATION_BASE            , 752,0xffffffff,        0,        0,RW,"Base address for CU information LSB"),
    H2REG(HWIF_ENC_CU_INFORMATION_BASE_MSB        , 756,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_NUM_LONG_TERM_PICS             , 760,0xc0000000,       30,        0,RW,"Number of long-term reference pictures directly signaled in the slice header"),
    H2REG(HWIF_ENC_NAL_UNIT_TYPE                  , 764,0xfc000000,       26,        0,RW,"NAL unit type"),
    H2REG(HWIF_ENC_NUH_TEMPORAL_ID                , 764,0x03800000,       23,        0,RW,"NAL temporal id"),
    H2REG(HWIF_ENC_PPS_ID                         , 764,0x007e0000,       17,        0,RW,"PPS id"),
    H2REG(HWIF_ENC_PREFIXNAL_SVC_EXT              , 764,0x00010000,       16,        1,RW,"H264 SVCT enable. 1=enabled (insert H264Scalability SEI). 0=disabled"),
    H2REG(HWIF_ENC_SLICE_HEADER_SIZE              , 764,0x0000ffff,        0,        0,RO,"Slice header size"),
    H2REG(HWIF_ENC_FRAMENUM                       , 768,0xffffffff,        0,        0,RW,"encoded Picture frame number"),
    H2REG(HWIF_ENC_L0_DELTA_FRAMENUM0             , 772,0xffe00000,       21,        0,RW,"delta frame_num of list0 pic0"),
    H2REG(HWIF_ENC_L0_USED_BY_NEXT_PIC0           , 772,0x00100000,       20,        0,RW,"list0 pic0 used by later frames"),
    H2REG(HWIF_ENC_L0_DELTA_FRAMENUM1             , 772,0x000ffe00,        9,        0,RW,"delta frame_num of list0 pic1"),
    H2REG(HWIF_ENC_L0_USED_BY_NEXT_PIC1           , 772,0x00000100,        8,        0,RW,"list0 pic1 used by later frames"),
    H2REG(HWIF_ENC_XFILL_MSB                      , 772,0x000000c0,        6,        0,RW,"Overfill pixels on right edge of image div2. [0.1.2.3] (bits[2:3] for H.264)"),
    H2REG(HWIF_ENC_YFILL_MSB                      , 772,0x00000030,        4,        0,RW,"Overfill pixels on bottom edge of image. [0.1.2.3] (bits[3:4] for H.264)"),
    H2REG(HWIF_ENC_NAL_REF_IDC                    , 772,0x00000008,        3,        0,RW,"current pic is used as reference"),
    H2REG(HWIF_ENC_IDR_PIC_ID                     , 772,0x00000004,        2,        0,RW,"picture id for IDR frame"),
    H2REG(HWIF_ENC_TRANSFORM8X8_ENABLE            , 772,0x00000002,        1,        0,RW,"Enable transform8x8"),
    H2REG(HWIF_ENC_ENTROPY_CODING_MODE            , 772,0x00000001,        0,        0,RW,"Entropy coding mode flag. [0.1]"),
    H2REG(HWIF_ENC_L1_DELTA_FRAMENUM0             , 776,0xffe00000,       21,        0,RW,"delta frame_num of list1 pic0"),
    H2REG(HWIF_ENC_L1_USED_BY_NEXT_PIC0           , 776,0x00100000,       20,        0,RW,"list1 pic0 used by later frames"),
    H2REG(HWIF_ENC_L1_DELTA_FRAMENUM1             , 776,0x000ffe00,        9,        0,RW,"delta frame_num of list1 pic1"),
    H2REG(HWIF_ENC_L1_USED_BY_NEXT_PIC1           , 776,0x00000100,        8,        0,RW,"list1 pic1 used by later frames"),
    H2REG(HWIF_ENC_MAX_LONGTERMIDX_PLUS1          , 776,0x000000e0,        5,        0,RW,"max number of long term frames (for H.264)"),
    H2REG(HWIF_ENC_CUR_LONGTERMIDX                , 776,0x0000001c,        2,        0,RW,"long term frame idx of current frame (for H.264)"),
    H2REG(HWIF_ENC_ENCODED_CTB_NUMBER_MSB         , 780,0xf0000000,       28,        0,RW,"MB count output. Max 512*256. bit[13:16]"),
    H2REG(HWIF_ENC_NUM_SLICES_READY_MSB           , 780,0x0c000000,       26,        0,RW,"HEVC amount of completed slices. bit[8:9]"),
    H2REG(HWIF_ENC_SLICE_SIZE_MSB                 , 780,0x03000000,       24,        0,RW,"slice size in ctu row. bit[7:8]"),
    H2REG(HWIF_ENC_CIR_START_MSB                  , 780,0x00f00000,       20,        0,RW,"cir start. bit[14:17]"),
    H2REG(HWIF_ENC_CIR_INTERVAL_MSB               , 780,0x000f0000,       16,        0,RW,"Cyclic Intra Refresh. bit[14:17]"),
    H2REG(HWIF_ENC_INTRA_AREA_LEFT_MSB            , 780,0x00008000,       15,        0,RW,"intra Area Left. bit[8]"),
    H2REG(HWIF_ENC_INTRA_AREA_RIGHT_MSB           , 780,0x00004000,       14,        0,RW,"intra Area Right. bit[8]"),
    H2REG(HWIF_ENC_INTRA_AREA_TOP_MSB             , 780,0x00002000,       13,        0,RW,"intra Area Top. bit[8]"),
    H2REG(HWIF_ENC_INTRA_AREA_BOTTOM_MSB          , 780,0x00001000,       12,        0,RW,"intra Area Bottom. bit[8]"),
    H2REG(HWIF_ENC_ROI1_LEFT_MSB                  , 780,0x00000800,       11,        0,RW,"ROI1 Area Left. bit[8]"),
    H2REG(HWIF_ENC_ROI1_RIGHT_MSB                 , 780,0x00000400,       10,        0,RW,"ROI1 Area Right. bit[8]"),
    H2REG(HWIF_ENC_ROI1_TOP_MSB                   , 780,0x00000200,        9,        0,RW,"ROI1 Area Top. bit[8]"),
    H2REG(HWIF_ENC_ROI1_BOTTOM_MSB                , 780,0x00000100,        8,        0,RW,"ROI1 Area Bottom. bit[8]"),
    H2REG(HWIF_ENC_ROI2_LEFT_MSB                  , 780,0x00000080,        7,        0,RW,"ROI2 Area Left. bit[8]"),
    H2REG(HWIF_ENC_ROI2_RIGHT_MSB                 , 780,0x00000040,        6,        0,RW,"ROI2 Area Right. bit[8]"),
    H2REG(HWIF_ENC_ROI2_TOP_MSB                   , 780,0x00000020,        5,        0,RW,"ROI2 Area Top. bit[8]"),
    H2REG(HWIF_ENC_ROI2_BOTTOM_MSB                , 780,0x00000010,        4,        0,RW,"ROI2 Area Bottom. bit[8]"),
    H2REG(HWIF_ENC_PIC_WIDTH_MSB                  , 780,0x0000000c,        2,        1,RW,"Encoded width. lumWidthMsb(unit 8 pixels). bit[11:10]"),
    H2REG(HWIF_LOW_LATENCY_HW_SYNC_EN             , 784,0x80000000,       31,        1,RW,"Low Latency Hardware Interface Enable. Use hardware handshaking."),
    H2REG(HWIF_LOW_LATENCY_EN                     , 784,0x40000000,       30,        1,RW,"Low Latency Enable"),
    H2REG(HWIF_INPUT_BUF_LOOPBACK_EN              , 784,0x20000000,       29,        1,RW,"Input buffer loopback Enable"),
    H2REG(HWIF_NUM_CTB_ROWS_PER_SYNC              , 784,0x1ff00000,       20,        1,RW,"Number of CTB rows for every HW sync. Unit is CTB"),
    H2REG(HWIF_CTB_ROW_RD_PTR                     , 784,0x000ffc00,       10,        0,RO,"The number of CTB rows that has been fetched from Input buffer by encoder"),
    H2REG(HWIF_CTB_ROW_WR_PTR                     , 784,0x000003ff,        0,        0,RW,"The number of CTB rows that has been filled into the input buffer by external application"),
    H2REG(HWIF_ENC_L0_DELTA_POC0_MSB              , 788,0xffc00000,       22,        0,RW,"delta poc of list0 pic0 (bit[19..10])"),
    H2REG(HWIF_ENC_L0_DELTA_POC1_MSB              , 788,0x003ff000,       12,        0,RW,"delta poc of list0 pic1 (bit[19..10])"),
    H2REG(HWIF_ENC_L1_DELTA_POC0_MSB              , 788,0x00000ffc,        2,        0,RW,"delta poc of list1 pic0 (bit[19..10])"),
    H2REG(HWIF_CTB_ROW_WR_PTR_JPEG_MSB            , 788,0x000003e0,        5,        1,RW,"msb of sw_ctb_row_wr_ptr for jpeg"),
    H2REG(HWIF_CTB_ROW_RD_PTR_JPEG_MSB            , 788,0x0000001f,        0,        1,RW,"msb of sw_ctb_row_rd_ptr for jpeg"),
    H2REG(HWIF_ENC_L1_DELTA_POC1_MSB              , 792,0xffc00000,       22,        0,RW,"delta poc of list1 pic1 (bit[19..10])"),
    H2REG(HWIF_ENC_L0_DELTA_FRAMENUM0_MSB         , 792,0x003fe000,       13,        0,RW,"delta frame_num of list0 pic0 (bit[19..11])"),
    H2REG(HWIF_ENC_MARK_CURRENT_LONGTERM          , 792,0x00001000,       12,        0,RW,"mark current frame as long term reference (for H.264)"),
    H2REG(HWIF_ENC_L0_LONGTERMIDX0                , 792,0x00000e00,        9,        0,RW,"long term frame idx of list0 pic 0 (for H.264)"),
    H2REG(HWIF_ENC_L0_LONGTERMIDX1                , 792,0x000001c0,        6,        0,RW,"long term frame idx of list0 pic 1 (for H.264)"),
    H2REG(HWIF_ENC_L1_LONGTERMIDX0                , 792,0x00000038,        3,        0,RW,"long term frame idx of list1 pic 0 (for H.264)"),
    H2REG(HWIF_ENC_L1_LONGTERMIDX1                , 792,0x00000007,        0,        0,RW,"long term frame idx of list1 pic 1 (for H.264)"),
    H2REG(HWIF_ENC_L0_DELTA_FRAMENUM1_MSB         , 796,0xff800000,       23,        0,RW,"delta frame_num of list0 pic1 (bit[19..11])"),
    H2REG(HWIF_ENC_L1_DELTA_FRAMENUM0_MSB         , 796,0x007fc000,       14,        0,RW,"delta frame_num of list1 pic0 (bit[19..11])"),
    H2REG(HWIF_ENC_L1_DELTA_FRAMENUM1_MSB         , 796,0x00003fe0,        5,        0,RW,"delta frame_num of list1 pic1 (bit[19..11])"),
    H2REG(HWIF_ENC_HASH_TYPE                      , 796,0x00000018,        3,        0,RW,"hash type of frame data. 0=none. 1=crc32. 2=checksum32"),
    H2REG(HWIF_ENC_HASH_OFFSET                    , 796,0x00000006,        1,        0,RW,"hash offset (byte offset of processed hashdata) "),
    H2REG(HWIF_ENC_OSD_ALPHABLEND_ENABLE          , 796,0x00000001,        0,        0,RW,"enable OSD Alpha Blending. 0=disable. 1=enable."),
    H2REG(HWIF_ENC_HASH_VAL                       , 800,0xffffffff,        0,        0,RW,"hash value of frame data"),
    H2REG(HWIF_ENC_MEAN_THR0                      , 804,0xff000000,       24,        0,RW,"A mean value threshold of out circle used for foreground decision"),
    H2REG(HWIF_ENC_MEAN_THR1                      , 804,0x00ff0000,       16,        0,RW,"A mean value threshold of second circle for foreground decision"),
    H2REG(HWIF_ENC_MEAN_THR2                      , 804,0x0000ff00,        8,        0,RW,"A mean value threshold of third circle"),
    H2REG(HWIF_ENC_MEAN_THR3                      , 804,0x000000ff,        0,        0,RW,"A mean value threshold of the smallest circle"),
    H2REG(HWIF_ENC_THR_DC_LUM_8X8                 , 808,0xffff0000,       16,        0,RW,"A threshold value of DC for CU08 luma"),
    H2REG(HWIF_ENC_THR_DC_CHROMA_8X8              , 808,0x0000ffff,        0,        0,RW,"A threshold value of DC for CU08 chroma"),
    H2REG(HWIF_ENC_THR_DC_LUM_16X16               , 812,0xffff0000,       16,        0,RW,"A threshold value of DC for CU16 luma"),
    H2REG(HWIF_ENC_LUM_DC_SUM_THR                 , 812,0xff000000,       24,        0,RW,"A threshold value of DC for Y (for H.264)"),
    H2REG(HWIF_ENC_THR_DC_CHROMA_16X16            , 812,0x0000ffff,        0,        0,RW,"A threshold value of DC for CU16 chroma"),
    H2REG(HWIF_ENC_CB_DC_SUM_THR                  , 812,0x0000ff00,        8,        0,RW,"A threshold value of DC for U (for H.264)"),
    H2REG(HWIF_ENC_CR_DC_SUM_THR                  , 812,0x000000ff,        0,        0,RW,"A threshold value of DC for V (for H.264)"),
    H2REG(HWIF_ENC_THR_DC_LUM_32X32               , 816,0xffff0000,       16,        0,RW,"A threshold value of DC for CU32 luma"),
    H2REG(HWIF_ENC_THR_DC_CHROMA_32X32            , 816,0x0000ffff,        0,        0,RW,"A threshold value of DC for CU32 chroma"),
    H2REG(HWIF_ENC_THR_AC_NUM_LUM_8X8             , 820,0xffff0000,       16,        0,RW,"A threshold value of number of non-zero AC for CU08 luma"),
    H2REG(HWIF_ENC_THR_AC_NUM_CHROMA_8X8          , 820,0x0000ffff,        0,        0,RW,"A threshold value of number of non-zero AC for CU08 chroma"),
    H2REG(HWIF_ENC_THR_AC_NUM_LUM_16X16           , 824,0xffff0000,       16,        0,RW,"A threshold value of number of non-zero AC for CU16 luma"),
    H2REG(HWIF_ENC_THR_AC_NUM_CHROMA_16X16        , 824,0x0000ffff,        0,        0,RW,"A threshold value of number of non-zero AC for CU16 chroma"),
    H2REG(HWIF_ENC_THR_AC_NUM_LUM_32X32           , 828,0xffff0000,       16,        0,RW,"A threshold value of number of non-zero AC for CU32 luma"),
    H2REG(HWIF_ENC_THR_AC_NUM_CHROMA_32X32        , 828,0x0000ffff,        0,        0,RW,"A threshold value of number of non-zero AC for CU32 chroma"),
    H2REG(HWIF_ENC_MDQPY                          , 832,0xfc000000,       26,        0,RW,"A luma QP value for skip decision"),
    H2REG(HWIF_ENC_SMART_QP                       , 832,0xfc000000,       26,        0,RW,"A luma QP value for skip decision (for H.264)"),
    H2REG(HWIF_ENC_MDQPC                          , 832,0x03f00000,       20,        0,RW,"A chroma QP value for skip decision"),
    H2REG(HWIF_ENC_FOREGROUND_PIXEL_THX           , 832,0x000fc000,       14,        0,RW,"Foreground threshold number of pixel (0 ~ 63) used for foreground decision"),
    H2REG(HWIF_ENC_ENABLE_SMART                   , 832,0x00002000,       13,        0,RW,"enable smart featrue"),
    H2REG(HWIF_ENC_IPCM1_LEFT                     , 832,0x00001ff0,        4,        0,RW,"IPCM1 Area Left"),
    H2REG(HWIF_ENC_SKIP_MAP_ENABLE                , 832,0x00000008,        3,        1,RW,"enable skip map mode"),
    H2REG(HWIF_ENC_IPCM1_RIGHT                    , 836,0xff800000,       23,        0,RW,"IPCM1 Area Right"),
    H2REG(HWIF_ENC_IPCM1_TOP                      , 836,0x007fc000,       14,        0,RW,"IPCM1 Area Top"),
    H2REG(HWIF_ENC_IPCM1_BOTTOM                   , 836,0x00003fe0,        5,        0,RW,"IPCM1 Area Bottom"),
    H2REG(HWIF_ENC_PCM_FILTER_DISABLE             , 836,0x00000010,        4,        0,RW,"disable deblock filter for IPCM"),
    H2REG(HWIF_ENC_IPCM_MAP_ENABLE                , 836,0x00000008,        3,        1,RW,"enable pcm map mode"),
    H2REG(HWIF_ENC_INPUT_LU_STRIDE                , 840,0xfffff000,       12,        1,RW,"Luma stride of input frame"),
    H2REG(HWIF_ENC_IPCM2_LEFT                     , 840,0x00000ff8,        3,        0,RW,"IPCM2 Area Left"),
    H2REG(HWIF_ENC_INPUT_CH_STRIDE                , 844,0xfffff000,       12,        1,RW,"Chroma stride of input frame"),
    H2REG(HWIF_ENC_IPCM2_RIGHT                    , 844,0x00000ff8,        3,        0,RW,"IPCM2 Area Right"),
    H2REG(HWIF_ENC_REF_LU_STRIDE                  , 848,0xfffff000,       12,        1,RW,"Luma stride of reference frame"),
    H2REG(HWIF_ENC_IPCM2_TOP                      , 848,0x00000ff8,        3,        0,RW,"IPCM2 Area Top"),
    H2REG(HWIF_ENC_REF_DS_LU_STRIDE               , 852,0xffffc000,       14,        1,RW,"DS Luma stride of reference frame"),
    H2REG(HWIF_ENC_IPCM2_BOTTOM                   , 852,0x00003fe0,        5,        0,RW,"IPCM2 Area Bottom"),
    H2REG(HWIF_ENC_HWLJPEGSUPPORT                 , 856,0x80000000,       31,        0,RO,"Lossless JPEG supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWABSQPSUPPORT                 , 856,0x40000000,       30,        0,RO,"Absolute QP in ROI/ROI map supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWINTRATU32SUPPORT             , 856,0x20000000,       29,        0,RO,"IntraPath TU32x32 supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWROIMAPVERSION                , 856,0x1c000000,       26,        0,RO,"ROI map buffer format version. 0=4 bit per pixel. 1=8 bit per pixel"),
    H2REG(HWIF_ENC_HWMAXVIDEOWIDTHH264            , 856,0x03ffe000,       13,        0,RO,"Maximum video width supported by HW for H264 encoding (unit 8 pixels)"),
    H2REG(HWIF_ENC_HWMAXVIDEOWIDTHJPEG            , 856,0x00001fff,        0,        0,RO,"Maximum video width supported by HW for JPEG encoding (unit 8 pixels)"),
    H2REG(HWIF_ENC_TOTALARLEN                     , 860,0xffffffff,        0,        0,RO,"[AXI] Accumulated ARLEN+1"),
    H2REG(HWIF_ENC_TOTALR                         , 864,0xffffffff,        0,        0,RO,"[AXI] RVALID & RREADY"),
    H2REG(HWIF_ENC_TOTALAR                        , 868,0xffffffff,        0,        0,RO,"[AXI] ARVALID & ARREADY"),
    H2REG(HWIF_ENC_TOTALRLAST                     , 872,0xffffffff,        0,        0,RO,"[AXI] RVALID & RREADY & RLAST"),
    H2REG(HWIF_ENC_TOTALAWLEN                     , 876,0xffffffff,        0,        0,RO,"[AXI] Accumulated AWLEN+1"),
    H2REG(HWIF_ENC_TOTALW                         , 880,0xffffffff,        0,        0,RO,"[AXI] WVALID & WREADY"),
    H2REG(HWIF_ENC_TOTALAW                        , 884,0xffffffff,        0,        0,RO,"[AXI] AWVALID & AWREADY"),
    H2REG(HWIF_ENC_TOTALWLAST                     , 888,0xffffffff,        0,        0,RO,"[AXI] WVALID & WREADY & WLAST"),
    H2REG(HWIF_ENC_TOTALB                         , 892,0xffffffff,        0,        0,RO,"[AXI] BVALID & BREADY"),
    H2REG(HWIF_ENC_CHROMA_CONST_EN                , 896,0x80000000,       31,        0,RW,"Force Chroma to be a constant pixel or not. 0=no. 1=yes."),
    H2REG(HWIF_ENC_SSIM_EN                        , 896,0x00200000,       21,        0,RW,"Enable SSIM calculation. 0=Disable. 1=Enable"),
    H2REG(HWIF_ENC_SKIPFRAME_EN                   , 896,0x00100000,       20,        1,RW,"Force frame encode as SKIPFRAME. 0=no. 1=yes"),
    H2REG(HWIF_ENC_CR_CONST_PIXEL                 , 896,0x000ffc00,       10,        0,RW,"The constant pixel of CR if sw_enc_chroma_const_en=1"),
    H2REG(HWIF_ENC_CB_CONST_PIXEL                 , 896,0x000003ff,        0,        0,RW,"The constant pixel of CB if sw_enc_chroma_const_en=1"),
    H2REG(HWIF_ENC_NUM_TILE_COLUMNS               , 900,0xff000000,       24,        0,RW,"the number of tile columns partitioning the picture."),
    H2REG(HWIF_ENC_NUM_TILE_ROWS                  , 900,0x00ff0000,       16,        0,RW,"the number of tile rows partitioning the picture."),
    H2REG(HWIF_ENC_TILES_ENABLED_FLAG             , 900,0x00008000,       15,        0,RW,"enable HEVC tile partition. 0=disabled. 1=enabled."),
    H2REG(HWIF_ENC_LOOP_FILTER_ACROSS_TILES_ENABLED_FLAG, 900,0x00004000,       14,        0,RW,"enable in-loop filtering operations across tile boundaries. 0=disabled. 1=enabled."),
    H2REG(HWIF_ENC_ROIMAP_CUCTRL_INDEX_ENABLE     , 900,0x00002000,       13,        0,RW,"roi map cu ctrl index enable. 0=Disable. 1=Enable"),
    H2REG(HWIF_ENC_ROIMAP_CUCTRL_ENABLE           , 900,0x00001000,       12,        1,RW,"roi map cu ctrl enable. 0=Disable. 1=Enable"),
    H2REG(HWIF_ENC_ROIMAP_CUCTRL_VER              , 900,0x00000e00,        9,        1,RW,"roi map cu ctrl info version. 3~7"),
    H2REG(HWIF_ENC_ROIMAP_QPDELTA_VER             , 900,0x000001c0,        6,        0,RW,"roi map qp delta info version. 1~3"),
    H2REG(HWIF_ENC_HWSSIMSUPPORT                  , 904,0x80000000,       31,        0,RO,"SSIM calculation supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWP010REFSUPPORT               , 904,0x40000000,       30,        0,RO,"Reference buffer format for 10-bit encoding. 1=P010 tile raster format. 0=normal format"),
    H2REG(HWIF_ENC_HWCUINFORVERSION               , 904,0x38000000,       27,        0,RO,"Version of the output CU information format."),
    H2REG(HWIF_ENC_ME_VERT_SEARCHRANGE_HEVC       , 904,0x07e00000,       21,        0,RO,"ME vertical search range in 8 pixel unit for HEVC"),
    H2REG(HWIF_ENC_ME_VERT_SEARCHRANGE_H264       , 904,0x001f8000,       15,        0,RO,"ME vertical search range in 8 pixel unit for H264"),
    H2REG(HWIF_ENC_HWCTBRCVERSION                 , 904,0x00007000,       12,        0,RO,"CTB Rate Control Version."),
    H2REG(HWIF_ENC_HWJPEG422SUPPORT               , 904,0x00000800,       11,        0,RO,"Jpeg422 supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWGMVSUPPORT                   , 904,0x00000400,       10,        0,RO,"Global MV supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWROI8SUPPORT                  , 904,0x00000200,        9,        0,RO,"support 8 ROIs"),
    H2REG(HWIF_ENC_BFRAME_ME4N_HOR_SEARCHRANGE    , 904,0x00000180,        7,        0,RO,"ME4N horizontal search range in 64 pixel unit(0=64. 1=128. 2=192. 3=256)"),
    H2REG(HWIF_ENC_HWRDOQSUPPORT                  , 904,0x00000040,        6,        0,RO,"RDOQ supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWMULTIPASSSUPPORT             , 904,0x00000020,        5,        0,RO,"Multipass Encoding supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWINLOOPDSRATIO                , 904,0x00000010,        4,        0,RO,"in-loop ds ratio supported by HW(0=1:1 1=1:2)"),
    H2REG(HWIF_ENC_HWSTREAMBUFCHAIN               , 904,0x00000008,        3,        0,RO,"Stream Buffer Chain supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWSTREAMSEGMENTSUPPORT         , 904,0x00000004,        2,        0,RO,"Stream segment supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWIFRAMEONLY                   , 904,0x00000002,        1,        0,RO,"Only support I frame. 0=support I/P/B frame. 1=only support I frame"),
    H2REG(HWIF_ENC_HWDYNAMICMAXTUSIZE             , 904,0x00000001,        0,        0,RO,"HW support dynamic max TU size change per frame. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_SSIM_Y_NUMERATOR_LSB           , 908,0xffffffff,        0,        0,RO,"LSB of SSIM_Y numerator value."),
    H2REG(HWIF_ENC_SSIM_Y_NUMERATOR_MSB           , 912,0xffffffff,        0,        0,RO,"MSB of SSIM_Y numerator value."),
    H2REG(HWIF_ENC_SSIM_U_NUMERATOR_LSB           , 916,0xffffffff,        0,        0,RO,"LSB of SSIM_U numerator value."),
    H2REG(HWIF_ENC_SSIM_U_NUMERATOR_MSB           , 920,0xffffffff,        0,        0,RO,"MSB of SSIM_U numerator value."),
    H2REG(HWIF_ENC_SSIM_V_NUMERATOR_LSB           , 924,0xffffffff,        0,        0,RO,"LSB of SSIM_V numerator value."),
    H2REG(HWIF_ENC_SSIM_V_NUMERATOR_MSB           , 928,0xffffffff,        0,        0,RO,"MSB of SSIM_V numerator value."),
    H2REG(HWIF_ENC_SSIM_Y_DENOMINATOR             , 932,0xffffffff,        0,        0,RO,"SSIM_Y denominator value."),
    H2REG(HWIF_ENC_SSIM_UV_DENOMINATOR            , 936,0xffffffff,        0,        0,RO,"SSIM_UV denominator value."),
    H2REG(HWIF_ENC_RPS_DELTA_POC_0                , 940,0xffc00000,       22,        0,RW,"delta poc of pic0 in current rps"),
    H2REG(HWIF_ENC_RPS_DELTA_POC_1                , 940,0x003ff000,       12,        0,RW,"delta poc of pic1 in current rps"),
    H2REG(HWIF_ENC_RPS_DELTA_POC_2                , 940,0x00000ffc,        2,        0,RW,"delta poc of pic2 in current rps"),
    H2REG(HWIF_ENC_RPS_USED_BY_CUR_0              , 940,0x00000002,        1,        0,RW,"pic0 in current rps is used for reference by current slice"),
    H2REG(HWIF_ENC_RPS_USED_BY_CUR_1              , 940,0x00000001,        0,        0,RW,"pic1 in current rps is used for reference by current slice"),
    H2REG(HWIF_ENC_RPS_DELTA_POC_3                , 944,0xffc00000,       22,        0,RW,"delta poc of pic3 in current rps"),
    H2REG(HWIF_ENC_RPS_USED_BY_CUR_2              , 944,0x00200000,       21,        0,RW,"pic2 in current rps is used for reference by current slice"),
    H2REG(HWIF_ENC_RPS_USED_BY_CUR_3              , 944,0x00100000,       20,        0,RW,"pic3 in current rps is used for reference by current slice"),
    H2REG(HWIF_ENC_RPS_NEG_PIC_NUM                , 944,0x000e0000,       17,        0,RW,"number of negative pictures in current rps"),
    H2REG(HWIF_ENC_RPS_POS_PIC_NUM                , 944,0x0001c000,       14,        0,RW,"number of positive pictures in current rps"),
    H2REG(HWIF_ENC_SHORT_TERM_REF_PIC_SET_SPS_FLAG, 944,0x00002000,       13,        0,RW,"short term rps for current slice is encoded in sps"),
    H2REG(HWIF_ENC_P010_REF_ENABLE                , 944,0x00001000,       12,        1,RW,"Enable/Disable P010 Reference format. 0=not supported. 1=supported. P010RefEnable[0]"),
    H2REG(HWIF_ENC_REF_CH_STRIDE                  , 948,0xfffff000,       12,        1,RW,"Chroma stride of reference frame"),
    H2REG(HWIF_ENC_DUMMYREADEN                    , 948,0x00000800,       11,        0,RW,"enable dummy read when frame height not align to 64 or other possible condition"),
    H2REG(HWIF_ENC_DUMMYREADADDR                  , 952,0xffffffff,        0,        0,RW,"Dummy read address"),
    H2REG(HWIF_ENC_CURRENT_CTB_MAD_BASE           , 956,0xffffffff,        0,        0,RW,"Base Address LSB of CTB MADs of current frame used for CTB RC."),
    H2REG(HWIF_ENC_CURRENT_CTB_MAD_BASE_MSB       , 960,0xffffffff,        0,        0,RW,"Base Address MSB of CTB MADs of current frame used for CTB RC."),
    H2REG(HWIF_ENC_PREVIOUS_CTB_MAD_BASE          , 964,0xffffffff,        0,        0,RW,"Base Address LSB of CTB MADs of previous frame used for CTB RC."),
    H2REG(HWIF_ENC_PREVIOUS_CTB_MAD_BASE_MSB      , 968,0xffffffff,        0,        0,RW,"Base Address MSB of CTB MADs of previous frame used for CTB RC."),
    H2REG(HWIF_ENC_CTB_RC_MODEL_PARAM0            , 972,0xfffff800,       11,        0,RW,"Parameter0 of CTB RC model "),
    H2REG(HWIF_ENC_CTB_RC_MODEL_PARAM1            , 976,0xfffffc00,       10,        0,RW,"Parameter1 of CTB RC model "),
    H2REG(HWIF_ENC_ROI3_QP_VALUE                  , 976,0x000003f8,        3,        0,RW,"ROI3 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI3_QP_TYPE                   , 976,0x00000004,        2,        0,RW,"ROI3 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_CTB_RC_MODEL_PARAM_MIN         , 980,0xfffc0000,       18,        0,RW,"Minimum parameter value of CTB RC model "),
    H2REG(HWIF_ENC_CTB_RC_ROW_FACTOR              , 980,0x0003fffc,        2,        0,RW,"Reciprocal of ctb per row. Q16"),
    H2REG(HWIF_ENC_RC_QPDELTA_RANGE_MSB           , 980,0x00000003,        0,        0,RW,"Extend swreg173. rc qp delta range. Bits 5:4"),
    H2REG(HWIF_ENC_CTB_RC_QP_STEP                 , 984,0xffffc000,       14,        0,RW,"Maximum QP step per CTB for purpose of rate control. Q16."),
    H2REG(HWIF_ENC_AXI_WRITE_OUTSTANDING_NUM      , 984,0x00003fc0,        6,        0,RW,"AXI outstanding number of write operation"),
    H2REG(HWIF_ENC_CTB_RC_DELAY                   , 984,0x00000038,        3,        0,RW,"Feedback delay of information for CTB RC"),
    H2REG(HWIF_ENC_PREV_PIC_LUM_MAD               , 988,0xffffffc0,        6,        0,RW,"Luma MAD of the predict picture. Input for previous pic. Output for current pic."),
    H2REG(HWIF_ENC_CTB_RC_PREV_MAD_VALID          , 988,0x00000002,        1,        0,RW,"Prev luma MADs are valid or not for ctb rc. 0=no and 1=yes."),
    H2REG(HWIF_ENC_CTB_QP_SUM_FOR_RC              , 992,0xffffff00,        8,        0,RO,"Sum of CTB QP used for rate control. not include QP delta for quality adjust or ROI."),
    H2REG(HWIF_ENC_ROI4_QP_VALUE                  , 992,0x000000fe,        1,        0,RW,"ROI4 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI4_QP_TYPE                   , 992,0x00000001,        0,        0,RW,"ROI4 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_ENCODED_CTB_NUMBER_MSB2        , 996,0xc0000000,       30,        0,RW,"MB count output. Max 512*256. bit[17:18]"),
    H2REG(HWIF_ENC_NUM_SLICES_READY_MSB2          , 996,0x20000000,       29,        0,RW,"HEVC amount of completed slices. bit[10]"),
    H2REG(HWIF_ENC_SLICE_SIZE_MSB2                , 996,0x10000000,       28,        0,RW,"slice size in ctu row. bit[9]"),
    H2REG(HWIF_ENC_CIR_START_MSB2                 , 996,0x0c000000,       26,        0,RW,"cir start. bit[18:19]"),
    H2REG(HWIF_ENC_CIR_INTERVAL_MSB2              , 996,0x03000000,       24,        0,RW,"Cyclic Intra Refresh. bit[18:19]"),
    H2REG(HWIF_ENC_INTRA_AREA_LEFT_MSB2           , 996,0x00800000,       23,        0,RW,"intra Area Left. bit[9]"),
    H2REG(HWIF_ENC_INTRA_AREA_RIGHT_MSB2          , 996,0x00400000,       22,        0,RW,"intra Area Right. bit[9]"),
    H2REG(HWIF_ENC_INTRA_AREA_TOP_MSB2            , 996,0x00200000,       21,        0,RW,"intra Area Top. bit[9]"),
    H2REG(HWIF_ENC_INTRA_AREA_BOTTOM_MSB2         , 996,0x00100000,       20,        0,RW,"intra Area Bottom. bit[9]"),
    H2REG(HWIF_ENC_ROI1_LEFT_MSB2                 , 996,0x00080000,       19,        0,RW,"ROI1 Area Left. bit[9]"),
    H2REG(HWIF_ENC_ROI1_RIGHT_MSB2                , 996,0x00040000,       18,        0,RW,"ROI1 Area Right. bit[9]"),
    H2REG(HWIF_ENC_ROI1_TOP_MSB2                  , 996,0x00020000,       17,        0,RW,"ROI1 Area Top. bit[9]"),
    H2REG(HWIF_ENC_ROI1_BOTTOM_MSB2               , 996,0x00010000,       16,        0,RW,"ROI1 Area Bottom. bit[9]"),
    H2REG(HWIF_ENC_ROI2_LEFT_MSB2                 , 996,0x00008000,       15,        0,RW,"ROI2 Area Left. bit[9]"),
    H2REG(HWIF_ENC_ROI2_RIGHT_MSB2                , 996,0x00004000,       14,        0,RW,"ROI2 Area Right. bit[9]"),
    H2REG(HWIF_ENC_ROI2_TOP_MSB2                  , 996,0x00002000,       13,        0,RW,"ROI2 Area Top. bit[9]"),
    H2REG(HWIF_ENC_ROI2_BOTTOM_MSB2               , 996,0x00001000,       12,        0,RW,"ROI2 Area Bottom. bit[9]"),
    H2REG(HWIF_ENC_PIC_WIDTH_MSB2                 , 996,0x00000800,       11,        1,RW,"Encoded width. lumWidthMsb2(unit 8 pixels). bit[12]"),
    H2REG(HWIF_ENC_IPCM1_LEFT_MSB                 , 996,0x00000400,       10,        0,RW,"IPCM1 Area Left bit[9]"),
    H2REG(HWIF_ENC_IPCM1_RIGHT_MSB                , 996,0x00000200,        9,        0,RW,"IPCM1 Area Right bit[9]"),
    H2REG(HWIF_ENC_IPCM1_TOP_MSB                  , 996,0x00000100,        8,        0,RW,"IPCM1 Area Top bit[9]"),
    H2REG(HWIF_ENC_IPCM1_BOTTOM_MSB               , 996,0x00000080,        7,        0,RW,"IPCM2 Area Bottom bit[9]"),
    H2REG(HWIF_ENC_IPCM2_LEFT_MSB                 , 996,0x00000040,        6,        0,RW,"IPCM2 Area Left bit[9]"),
    H2REG(HWIF_ENC_IPCM2_RIGHT_MSB                , 996,0x00000020,        5,        0,RW,"IPCM2 Area Right bit[9]"),
    H2REG(HWIF_ENC_IPCM2_TOP_MSB                  , 996,0x00000010,        4,        0,RW,"IPCM2 Area Top bit[9]"),
    H2REG(HWIF_ENC_IPCM2_BOTTOM_MSB               , 996,0x00000008,        3,        0,RW,"IPCM1 Area Bottom bit[9]"),
    H2REG(HWIF_ENC_JPEG_PIC_WIDTH_MSB             , 996,0x00000600,        9,        1,RW,"Encoded jpeg width. jpgLumWidthMSB(unit 8 pixels)"),
    H2REG(HWIF_ENC_JPEG_PIC_HEIGHT_MSB            , 996,0x00000180,        7,        1,RW,"Encoded jpeg height. jpgLumHeightMSB(unit 8 pixels):Max width x height is 24Kx24K"),
    H2REG(HWIF_ENC_JPEG_ROWLENGTH_MSB             , 996,0x00000060,        5,        1,RW,"JPEG Input luminance row length. jpgLumWidthSrcMSB (pixels) [96..16384]"),
    H2REG(HWIF_ENC_GLOBAL_HORIZONTAL_MV_L0        , 1000,0xfffc0000,       18,        0,RW,"Global horizontal MV for LIST0 in integer pixel."),
    H2REG(HWIF_ENC_GLOBAL_VERTICAL_MV_L0          , 1000,0x0003fff0,        4,        0,RW,"Global vertical MV for LIST0 in integer pixel."),
    H2REG(HWIF_ENC_GLOBAL_HORIZONTAL_MV_L1        , 1004,0xfffc0000,       18,        0,RW,"Global horizontal MV for LIST1 in integer pixel."),
    H2REG(HWIF_ENC_GLOBAL_VERTICAL_MV_L1          , 1004,0x0003fff0,        4,        0,RW,"Global vertical MV for LIST1 in integer pixel."),
    H2REG(HWIF_ENC_ROI3_LEFT                      , 1008,0xffc00000,       22,        0,RW,"ROI3 Area Left"),
    H2REG(HWIF_ENC_ROI3_TOP                       , 1008,0x003ff000,       12,        0,RW,"ROI3 Area Top"),
    H2REG(HWIF_ENC_ROI3_RIGHT                     , 1008,0x00000ffc,        2,        0,RW,"ROI3 Area Right"),
    H2REG(HWIF_ENC_ROI3_BOTTOM                    , 1012,0xffc00000,       22,        0,RW,"ROI3 Area Bottom"),
    H2REG(HWIF_ENC_ROI4_LEFT                      , 1012,0x003ff000,       12,        0,RW,"ROI4 Area Left"),
    H2REG(HWIF_ENC_ROI4_TOP                       , 1012,0x00000ffc,        2,        0,RW,"ROI4 Area Top"),
    H2REG(HWIF_ENC_ROI4_RIGHT                     , 1016,0xffc00000,       22,        0,RW,"ROI4 Area Right"),
    H2REG(HWIF_ENC_ROI4_BOTTOM                    , 1016,0x003ff000,       12,        0,RW,"ROI4 Area Bottom"),
    H2REG(HWIF_ENC_ROI5_LEFT                      , 1016,0x00000ffc,        2,        0,RW,"ROI5 Area Left"),
    H2REG(HWIF_ENC_ROI5_TOP                       , 1020,0xffc00000,       22,        0,RW,"ROI5 Area Top"),
    H2REG(HWIF_ENC_ROI5_RIGHT                     , 1020,0x003ff000,       12,        0,RW,"ROI5 Area Right"),
    H2REG(HWIF_ENC_ROI5_BOTTOM                    , 1020,0x00000ffc,        2,        0,RW,"ROI5 Area Bottom"),
    H2REG(HWIF_ENC_ROI6_LEFT                      , 1024,0xffc00000,       22,        0,RW,"ROI6 Area Left"),
    H2REG(HWIF_ENC_ROI6_TOP                       , 1024,0x003ff000,       12,        0,RW,"ROI6 Area Top"),
    H2REG(HWIF_ENC_ROI6_RIGHT                     , 1024,0x00000ffc,        2,        0,RW,"ROI6 Area Right"),
    H2REG(HWIF_ENC_ROI6_BOTTOM                    , 1028,0xffc00000,       22,        0,RW,"ROI6 Area Bottom"),
    H2REG(HWIF_ENC_ROI7_LEFT                      , 1028,0x003ff000,       12,        0,RW,"ROI7 Area Left"),
    H2REG(HWIF_ENC_ROI7_TOP                       , 1028,0x00000ffc,        2,        0,RW,"ROI7 Area Top"),
    H2REG(HWIF_ENC_ROI7_RIGHT                     , 1032,0xffc00000,       22,        0,RW,"ROI7 Area Right"),
    H2REG(HWIF_ENC_ROI7_BOTTOM                    , 1032,0x003ff000,       12,        0,RW,"ROI7 Area Bottom"),
    H2REG(HWIF_ENC_ROI8_LEFT                      , 1032,0x00000ffc,        2,        0,RW,"ROI8 Area Left"),
    H2REG(HWIF_ENC_ROI8_TOP                       , 1036,0xffc00000,       22,        0,RW,"ROI8 Area Top"),
    H2REG(HWIF_ENC_ROI8_RIGHT                     , 1036,0x003ff000,       12,        0,RW,"ROI8 Area Right"),
    H2REG(HWIF_ENC_ROI8_BOTTOM                    , 1036,0x00000ffc,        2,        0,RW,"ROI8 Area Bottom"),
    H2REG(HWIF_ENC_CURRENT_MAX_TU_SIZE_DECREASE   , 1036,0x00000002,        1,        0,RW,"Decrease max tu size in current frame. 0=max tu size 32. 1=max tu size 16. [0]"),
    H2REG(HWIF_ENC_ROI8_QP_VALUE                  , 1040,0xfe000000,       25,        0,RW,"ROI8 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI8_QP_TYPE                   , 1040,0x01000000,       24,        0,RW,"ROI8 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_ROI7_QP_VALUE                  , 1040,0x00fe0000,       17,        0,RW,"ROI7 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI7_QP_TYPE                   , 1040,0x00010000,       16,        0,RW,"ROI7 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_ROI6_QP_VALUE                  , 1040,0x0000fe00,        9,        0,RW,"ROI6 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI6_QP_TYPE                   , 1040,0x00000100,        8,        0,RW,"ROI6 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_ROI5_QP_VALUE                  , 1040,0x000000fe,        1,        0,RW,"ROI5 qp value. delta or absolute value"),
    H2REG(HWIF_ENC_ROI5_QP_TYPE                   , 1040,0x00000001,        0,        0,RW,"ROI5 qp type. 0:delta;1:Absolute value"),
    H2REG(HWIF_ENC_RGBLUMAOFFSET                  , 1044,0x0003e000,       13,        0,RW,"RGB to YUV conversion luma offset"),
    H2REG(HWIF_ENC_PRP_IN_LOOP_DS_RATIO           , 1044,0x00001000,       12,        1,RW,"down-scaling ratio of In-loop downscaler in prp"),
    H2REG(HWIF_ENC_AXI_READ_OUTSTANDING_NUM       , 1044,0x00000ff0,        4,        0,RW,"AXI outstanding number of read operation"),
    H2REG(HWIF_ENC_MULTI_CORE_EN                  , 1044,0x00000008,        3,        0,RW,"Enable multi-core encoding mode"),
    H2REG(HWIF_ENC_RDOQ_ENABLE                    , 1044,0x00000004,        2,        0,RW,"Enable RDOQ"),
    H2REG(HWIF_ENC_PASS1_SKIP_CABAC               , 1044,0x00000002,        1,        0,RW,"CABAC SKIP for pass one."),
    H2REG(HWIF_ENC_MOTION_SCORE_ENABLE            , 1044,0x00000001,        0,        0,RW,"Enable motion score computing for 2-pass Agop"),
    H2REG(HWIF_ENC_LUM_SSE_DIV_256                , 1048,0xffffffff,        0,        0,RW,"luma sse divide 256 (before deblock)"),
    H2REG(HWIF_ENC_CB_SSE_DIV_64                  , 1052,0xffffffff,        0,        0,RW,"cb sse divide 64 (before deblock)"),
    H2REG(HWIF_ENC_CR_SSE_DIV_64                  , 1056,0xffffffff,        0,        0,RW,"cr sse divide 64 (before deblock)"),
    H2REG(HWIF_ENC_REF_READY_THRESHOLD            , 1060,0xffff0000,       16,        0,RW,"EXTRA_LINES_NUM bigger vertical search window ready"),
    H2REG(HWIF_ENC_DDR_POLLING_INTERVAL           , 1060,0x0000ffff,        0,        0,RW,"Interval cycles for HW reading the DDR RECON_PIXELLINES_READY when value not bigger than search window."),
    H2REG(HWIF_ENC_MULTICORE_SYNC_L0_ADDR         , 1064,0xffffffff,        0,        0,RW,"For multicore sync. Address LSB of RECON_PIXELLINES_READY for ref buffer L0"),
    H2REG(HWIF_ENC_MULTICORE_SYNC_L0_ADDR_MSB     , 1068,0xffffffff,        0,        0,RW,"For multicore sync. Address MSB of RECON_PIXELLINES_READY for ref buffer L0"),
    H2REG(HWIF_ENC_MULTICORE_SYNC_L1_ADDR         , 1072,0xffffffff,        0,        0,RW,"For multicore sync. Address LSB of RECON_PIXELLINES_READY for ref buffer L1"),
    H2REG(HWIF_ENC_MULTICORE_SYNC_L1_ADDR_MSB     , 1076,0xffffffff,        0,        0,RW,"For multicore sync. Address MSB of RECON_PIXELLINES_READY for ref buffer L1"),
    H2REG(HWIF_ENC_MULTICORE_SYNC_REC_ADDR        , 1080,0xffffffff,        0,        0,RW,"For multicore sync. Address LSB of RECON_PIXELLINES_READY for recon buffer"),
    H2REG(HWIF_ENC_MULTICORE_SYNC_REC_ADDR_MSB    , 1084,0xffffffff,        0,        0,RW,"For multicore sync. Address MSB of RECON_PIXELLINES_READY for recon buffer"),
    H2REG(HWIF_ENC_RD_URGENT_ENABLE_THRESHOLD     , 1088,0xff000000,       24,        0,RW,"axi_rd_urgent=1 when total number of rd cmds is bigger or equal to threshold.255=disable"),
    H2REG(HWIF_ENC_RD_URGENT_DISABLE_THRESHOLD    , 1088,0x00ff0000,       16,        0,RW,"axi_rd_urgent=0 when total number of rd cmds is smaller than threshold.255=disable"),
    H2REG(HWIF_ENC_WR_URGENT_ENABLE_THRESHOLD     , 1088,0x0000ff00,        8,        0,RW,"axi_wr_urgent=1 when total number of wr cmds is bigger or equal to threshold.255=disable"),
    H2REG(HWIF_ENC_WR_URGENT_DISABLE_THRESHOLD    , 1088,0x000000ff,        0,        0,RW,"axi_wr_urgent=0 when total number of wr cmds is smaller than threshold.255=disable"),
    H2REG(HWIF_ENC_ROIMAP_CUCTRL_INDEX_ADDR       , 1092,0xffffffff,        0,        0,RW,"Address LSB of roi map cu ctrlindex buffer"),
    H2REG(HWIF_ENC_ROIMAP_CUCTRL_INDEX_ADDR_MSB   , 1096,0xffffffff,        0,        0,RW,"Address MSB of roi map cu ctrl index buffer"),
    H2REG(HWIF_ENC_ROIMAP_CUCTRL_ADDR             , 1100,0xffffffff,        0,        0,RW,"Address LSB of roi map cu ctrl buffer"),
    H2REG(HWIF_ENC_ROIMAP_CUCTRL_ADDR_MSB         , 1104,0xffffffff,        0,        0,RW,"Address MSB of roi map cu ctrl buffer"),
    H2REG(HWIF_ENC_LOG2_MAX_PIC_ORDER_CNT_LSB     , 1108,0xf8000000,       27,        0,RW,"number of bits in pic_order_cnt_lsb"),
    H2REG(HWIF_ENC_LOG2_MAX_FRAME_NUM             , 1108,0x07c00000,       22,        0,RW,"number of bits in frameNum"),
    H2REG(HWIF_ENC_PIC_ORDER_CNT_TYPE             , 1108,0x00300000,       20,        0,RW,"poc type"),
    H2REG(HWIF_ENC_SYN_AMOUNT_PER_LOOPBACK        , 1108,0x000fffe0,        5,        0,RW,"Handshake sync amount for every loopback"),
    H2REG(HWIF_ENC_OUTPUT_STRM_BUF1_BASE          , 1112,0xffffffff,        0,        0,RW,"stream output buffer1 base address. Only valid if sw_enc_HWStreamBufChain=1."),
    H2REG(HWIF_ENC_OUTPUT_STRM_BUF1_BASE_MSB      , 1116,0xffffffff,        0,        0,RW,"Reserved for future. Not used now."),
    H2REG(HWIF_ENC_OUTPUT_STRM_BUFFER1_LIMIT      , 1120,0xffffffff,        0,        1,RW,"Stream buffer1 limit size (bytes). Only valid if sw_enc_HWStreamBufChain=1. If buffer1 limit is reached buffer_full_IRQ will be generated."),
    H2REG(HWIF_ENC_STRM_SEGMENT_SW_SYNC_EN        , 1124,0x80000000,       31,        1,RW,"Stream segment software handshake enable. Set 0 will disable this handshake"),
    H2REG(HWIF_ENC_STRM_SEGMENT_EN                , 1124,0x40000000,       30,        1,RW,"Stream segment function enable"),
    H2REG(HWIF_ENC_STRM_SEGMENT_RD_PTR            , 1124,0x3ff00000,       20,        0,RW,"the number of segments that have been read out from output buffer"),
    H2REG(HWIF_ENC_STRM_SEGMENT_WR_PTR            , 1124,0x000ffc00,       10,        0,RW,"the number of segments that have been filled into the output buffer"),
    H2REG(HWIF_NUM_CTB_ROWS_PER_SYNC_MSB          , 1124,0x000003f0,        4,        1,RW,"Number MSB of CTB rows for every HW sync. Bit[14:9]. Unit is CTB"),
    H2REG(HWIF_ENC_CHROMA_FORMAT_IDC              , 1124,0x0000000c,        2,        0,RW,"chroma format idc. 0=4:0:0. 1=4:2:0"),
    H2REG(HWIF_ENC_STRM_SEGMENT_SIZE              , 1128,0xffffffff,        0,        1,RW,"limit size of each stream segment(bytes)"),
    H2REG(HWIF_ENC_MOTION_SCORE_L0_0              , 1132,0xffffffff,        0,        0,RW,"motionScore[0][0] used for 2-pass Agop decision"),
    H2REG(HWIF_ENC_MOTION_SCORE_L0_1              , 1136,0xffffffff,        0,        0,RW,"motionScore[0][1] used for 2-pass Agop decision"),
    H2REG(HWIF_ENC_MOTION_SCORE_L1_0              , 1140,0xffffffff,        0,        0,RW,"motionScore[1][0] used for 2-pass Agop decision"),
    H2REG(HWIF_ENC_MOTION_SCORE_L1_1              , 1144,0xffffffff,        0,        0,RW,"motionScore[1][1] used for 2-pass Agop decision"),
    H2REG(HWIF_ENC_HWVIDEOHEIGHTEXT               , 1148,0x80000000,       31,        0,RO,"Maximum allowed video height extended from 8192 to 8640. 0=Not. 1=Yes."),
    H2REG(HWIF_ENC_HWCSCEXTENSIONSUPPORT          , 1148,0x40000000,       30,        0,RO,"RGB to YUV conversion extension. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWSCALER420SUPPORT             , 1148,0x20000000,       29,        0,RO,"out-loop scaler output YUV420SP. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWCUTREESUPPORT                , 1148,0x10000000,       28,        0,RO,"Support of CuTree Lookahead. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWCTBRCMOREMODE                , 1148,0x00800000,       23,        0,RO,"more ctbrc mode supported by HW"),
    H2REG(HWIF_ENC_HWMEVERTRANGEPROGRAMABLE       , 1148,0x00400000,       22,        0,RO,"Programable ME vertical search range.  0=not supported. 1=supported"),
    H2REG(HWIF_ENC_HWMONOCHROMESUPPORT            , 1148,0x00200000,       21,        0,RO,"Mono chroma supported by HW. 0=not supported. 1=supported"),
    H2REG(HWIF_ENC_INTRACU8NUM_MSB                , 1152,0xe0000000,       29,        0,RO,"Extend swreg111. The number of block8x8 with type INTRA. Bits 22:20."),
    H2REG(HWIF_ENC_SKIPCU8NUM_MSB                 , 1152,0x1c000000,       26,        0,RO,"Extend swreg112. The number of block8x8 with type SKIP. Bits 22:20."),
    H2REG(HWIF_ENC_QP_SUM_MSB                     , 1152,0x03000000,       24,        0,RO,"Extend swreg183. Block qp sum. Bits 27:26."),
    H2REG(HWIF_ENC_QP_NUM_MSB                     , 1152,0x00e00000,       21,        0,RO,"Extend swreg184. Block qp number. Bits 22:20."),
    H2REG(HWIF_ENC_PIC_COMPLEXITY_MSB             , 1152,0x001e0000,       17,        0,RO,"Extend swreg185. Picture complexity. Bits 26:23."),
    H2REG(HWIF_ENC_CTB_QP_SUM_FOR_RC_MSB          , 1152,0x00018000,       15,        0,RO,"Extend swreg248. Sum of CTB QP used for rate control. Bits 25:24."),
    H2REG(HWIF_ENC_CUINFOVERSION                  , 1152,0x00007000,       12,        1,RW,"cuinfo dump version"),
    H2REG(HWIF_ENC_RGBCOEFFG                      , 1156,0xffff0000,       16,        0,RW,"RGB to YUV conversion coefficient G"),
    H2REG(HWIF_ENC_RGBCOEFFH                      , 1156,0x0000ffff,        0,        0,RW,"RGB to YUV conversion coefficient H"),
    H2REG(HWIF_ENC_TOTALARLEN2                    , 1160,0xffffffff,        0,        0,RO,"[AXI2] Accumulated ARLEN+1"),
    H2REG(HWIF_ENC_TOTALR2                        , 1164,0xffffffff,        0,        0,RO,"[AXI2] RVALID & RREADY"),
    H2REG(HWIF_ENC_TOTALAR2                       , 1168,0xffffffff,        0,        0,RO,"[AXI2] ARVALID & ARREADY"),
    H2REG(HWIF_ENC_TOTALRLAST2                    , 1172,0xffffffff,        0,        0,RO,"[AXI2] RVALID & RREADY & RLAST"),
    H2REG(HWIF_ENC_TOTALAWLEN2                    , 1176,0xffffffff,        0,        0,RO,"[AXI2] Accumulated AWLEN+1"),
    H2REG(HWIF_ENC_TOTALW2                        , 1180,0xffffffff,        0,        0,RO,"[AXI2] WVALID & WREADY"),
    H2REG(HWIF_ENC_TOTALAW2                       , 1184,0xffffffff,        0,        0,RO,"[AXI2] AWVALID & AWREADY"),
    H2REG(HWIF_ENC_TOTALWLAST2                    , 1188,0xffffffff,        0,        0,RO,"[AXI2] WVALID & WREADY & WLAST"),
    H2REG(HWIF_ENC_TOTALB2                        , 1192,0xffffffff,        0,        0,RO,"[AXI2] BVALID & BREADY"),
    H2REG(HWIF_ENC_EXT_SRAM_LUM_FWD_BASE          , 1196,0xffffffff,        0,        0,RW,"Base address for external FWD luma SRAM LSB"),
    H2REG(HWIF_ENC_EXT_SRAM_LUM_FWD_BASE_MSB      , 1200,0xffffffff,        0,        0,RW,"Base address for external FWD luma SRAM MSB"),
    H2REG(HWIF_ENC_EXT_SRAM_LUM_BWD_BASE          , 1204,0xffffffff,        0,        0,RW,"Base address for external BWD luma SRAM LSB"),
    H2REG(HWIF_ENC_EXT_SRAM_LUM_BWD_BASE_MSB      , 1208,0xffffffff,        0,        0,RW,"Base address for external BWD luma SRAM MSB"),
    H2REG(HWIF_ENC_EXT_SRAM_CHR_FWD_BASE          , 1212,0xffffffff,        0,        0,RW,"Base address for external FWD chroma SRAM LSB"),
    H2REG(HWIF_ENC_EXT_SRAM_CHR_FWD_BASE_MSB      , 1216,0xffffffff,        0,        0,RW,"Base address for external FWD chroma SRAM MSB"),
    H2REG(HWIF_ENC_EXT_SRAM_CHR_BWD_BASE          , 1220,0xffffffff,        0,        0,RW,"Base address for external BWD chroma SRAM LSB"),
    H2REG(HWIF_ENC_EXT_SRAM_CHR_BWD_BASE_MSB      , 1224,0xffffffff,        0,        0,RW,"Base address for external BWD chroma SRAM MSB"),
    H2REG(HWIF_ENC_EXTLINEBUFFER_LINECNT_LUM_FWD  , 1228,0xff000000,       24,        1,RW,"line count of external sram line buffer for luma fwd. 0=disable. 1-255=line count in unit of 4 pixels."),
    H2REG(HWIF_ENC_EXTLINEBUFFER_LINECNT_LUM_BWD  , 1228,0x00ff0000,       16,        1,RW,"line count of external sram line buffer for luma bwd. 0=disable. 1-255=line count in unit of 4 pixels."),
    H2REG(HWIF_ENC_EXTLINEBUFFER_LINECNT_CHR_FWD  , 1228,0x0000ff00,        8,        1,RW,"line count of external sram line buffer for chroma fwd. 0=disable. 1-255=line count in unit of 4 pixels."),
    H2REG(HWIF_ENC_EXTLINEBUFFER_LINECNT_CHR_BWD  , 1228,0x000000ff,        0,        1,RW,"line count of external sram line buffer for chroma bwd. 0=disable. 1-255=line count in unit of 4 pixels."),
    H2REG(HWIF_ENC_AXI_STRM_WRITE_PENDING         , 1232,0xffffffff,        0,        0,RO,"EMC stream AXI write pending"),
    H2REG(HWIF_ENC_AXI_RECON_WRITE_PENDING        , 1236,0xffffffff,        0,        0,RO,"Recon pixel AXI write pending"),
    H2REG(HWIF_ENC_AXI_REC4N_WRITE_PENDING        , 1240,0xffffffff,        0,        0,RO,"Recon 4n pixel AXI write pending"),
    H2REG(HWIF_ENC_AXI_PRP_READ_PENDING           , 1244,0xffffffff,        0,        0,RO,"Prp AXI read pending"),
    H2REG(HWIF_ENC_AXI_REF_READ_PENDING           , 1248,0xffffffff,        0,        0,RO,"Reference frame read pending"),
    H2REG(HWIF_ENC_AXI_REF4N_READ_PENDING         , 1252,0xffffffff,        0,        0,RO,"Reference frame 4n AXI read pending"),
    H2REG(HWIF_ENC_AXI_RCROI_READ_PENDING         , 1256,0xffffffff,        0,        0,RO,"RCROI AXI read pending"),
    H2REG(HWIF_ENC_AXI_READ_CHANNEL_PENDING       , 1260,0xffffffff,        0,        0,RO,"AXI read channel pending"),
    H2REG(HWIF_ENC_AXI_WRITE_CHANNEL_PENDING      , 1264,0xffffffff,        0,        0,RO,"AXI write channel pending"),
    H2REG(HWIF_ENC_AXI_TOTAL_PENDING              , 1268,0xffffffff,        0,        0,RO,"Total AXI bus pending"),
    H2REG(HWIF_ENC_HW_DEBUG                       , 1272,0xffffffff,        0,        0,RW,"HW debug use"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_WR_COMMON , 1276,0xf0000000,       28,        0,RO,"AXI burst align wr common fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_WR_STREAM , 1276,0x0f000000,       24,        0,RO,"AXI burst align wr stream fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_WR_CHROMA_REF, 1276,0x00f00000,       20,        0,RO,"AXI burst align wr chroma ref fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_WR_LUMA_REF, 1276,0x000f0000,       16,        0,RO,"AXI burst align wr luma ref fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_RD_COMMON , 1276,0x0000f000,       12,        0,RO,"AXI burst align rd common fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_RD_PRP    , 1276,0x00000f00,        8,        0,RO,"AXI burst align rd prp fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_RD_CH_REF_PREFETCH, 1276,0x000000f0,        4,        0,RO,"AXI burst align rd ch ref prefetch fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_FUSE_RD_LU_REF_PREFETCH, 1276,0x0000000f,        0,        0,RO,"AXI burst align rd lu ref prefetch fuse setting"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_WR_COMMON      , 1280,0xf0000000,       28,        0,RW,"AXI burst align wr common"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_WR_STREAM      , 1280,0x0f000000,       24,        0,RW,"AXI burst align wr stream"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_WR_CHROMA_REF  , 1280,0x00f00000,       20,        0,RW,"AXI burst align wr chroma ref"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_WR_LUMA_REF    , 1280,0x000f0000,       16,        0,RW,"AXI burst align wr luma ref"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_RD_COMMON      , 1280,0x0000f000,       12,        0,RW,"AXI burst align rd common"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_RD_PRP         , 1280,0x00000f00,        8,        0,RW,"AXI burst align rd prp"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_RD_CH_REF_PREFETCH, 1280,0x000000f0,        4,        0,RW,"AXI burst align rd ch ref prefetch"),
    H2REG(HWIF_ENC_AXI_BURST_ALIGN_RD_LU_REF_PREFETCH, 1280,0x0000000f,        0,        0,RW,"AXI burst align rd lu ref prefetch"),
    H2REG(HWIF_ENC_ME_ASSIGNED_VERT_SEARCH_RANGE  , 1284,0xfc000000,       26,        0,RW,"Assigned ME vertical search range in 8 pixel unit. If value=0 maximum supported range will be used. Only valid when sw_enc_HWMeVertRangeProgramable=1."),
    H2REG(HWIF_ENC_CUTREE_MODE                    , 16 ,0xe0000000,       29,        0,RW,"Encoding mode.1=hevc. 2=h264. 4=jpeg. 6=cutree"),
    H2REG(HWIF_ENC_CUTREE_CODECH264               , 16 ,0x10000000,       28,        0, 1,"sw_enc_cutree_codecH264"),
    H2REG(HWIF_ENC_CUTREE_HEIGHT                  , 16 ,0x0fffc000,       14,        0, 1,"sw_enc_cutree_height"),
    H2REG(HWIF_ENC_CUTREE_WIDTH                   , 16 ,0x00003fff,        0,        0, 1,"sw_enc_cutree_width"),
    H2REG(HWIF_ENC_CUTREE_HWLOOKAHEADDEPTH        , 20 ,0xfc000000,       26,        0, 1,"sw_enc_cutree_HWlookaheadDepth"),
    H2REG(HWIF_ENC_CUTREE_INLOOPDSRATIO           , 20 ,0x02000000,       25,        0, 1,"sw_enc_cutree_inLoopDSRatio"),
    H2REG(HWIF_ENC_CUTREE_BPASS1ADAPTIVEGOP       , 20 ,0x01000000,       24,        0, 1,"sw_enc_cutree_bPass1AdaptiveGop"),
    H2REG(HWIF_ENC_CUTREE_CUINFORVERSION          , 20 ,0x00e00000,       21,        0, 1,"sw_enc_cutree_cuInforVersion"),
    H2REG(HWIF_ENC_CUTREE_ROIABSQPSUPPORT         , 20 ,0x00100000,       20,        0, 1,"sw_enc_cutree_roiAbsQpSupport"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPENABLE            , 20 ,0x00080000,       19,        0, 1,"sw_enc_cutree_roiMapEnable"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPVERSION           , 20 ,0x00038000,       15,        0, 1,"sw_enc_cutree_roiMapVersion"),
    H2REG(HWIF_ENC_CUTREE_INQPDELTABLKSIZE        , 20 ,0x00006000,       13,        0, 1,"sw_enc_cutree_inQpDeltaBlkSize"),
    H2REG(HWIF_ENC_CUTREE_NUM_CMDS                , 20 ,0x0000007e,        1,        0, 1,"number of cutree commands"),
    H2REG(HWIF_ENC_CUTREE_E                       , 20 ,0x00000001,        0,        0,RW,"cutree enable. Setting this bit high will start the encoding operation. HW will reset this when picture is processed or bus error or timeout interrupt is given."),
    H2REG(HWIF_ENC_CUTREE_FPSFACTOR               , 24 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_fpsFactor"),
    H2REG(HWIF_ENC_CUTREE_STRENGTH                , 28 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_strength"),
    H2REG(HWIF_ENC_CUTREE_CUDATA_BASE             , 32 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_cuData_Base"),
    H2REG(HWIF_ENC_CUTREE_CUDATA_BASE_MSB         , 36 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_cuData_Base_MSB"),
    H2REG(HWIF_ENC_CUTREE_CUDATA_FRAME_SIZE       , 40 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_cuData_frame_size"),
    H2REG(HWIF_ENC_CUTREE_INROIMAPDELTABIN_BASE   , 44 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_inRoiMapDeltaBin_Base"),
    H2REG(HWIF_ENC_CUTREE_INROIMAPDELTABIN_BASE_MSB, 48 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_inRoiMapDeltaBin_Base_MSB"),
    H2REG(HWIF_ENC_CUTREE_INROIMAPDELTABIN_FRAME_SIZE, 52 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_inRoiMapDeltaBin_frame_size"),
    H2REG(HWIF_ENC_CUTREE_OUTROIMAPDELTAQP_BASE   , 56 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_outRoiMapDeltaQp_Base"),
    H2REG(HWIF_ENC_CUTREE_OUTROIMAPDELTAQP_BASE_MSB, 60 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_outRoiMapDeltaQp_Base_MSB"),
    H2REG(HWIF_ENC_CUTREE_OUTROIMAPDELTAQP_FRAME_SIZE, 64 ,0xffffffff,        0,        0, 1,"sw_enc_cutree_outRoiMapDeltaQp_frame_size"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOST_BASE      , 68 ,0xffffffff,        0,        0,RW,"propagateCost buffer base address. Only valid if sw_enc_HWStreamBufChain=1."),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOST_BASE_MSB  , 72 ,0xffffffff,        0,        0,RW,"propagateCost buffer base address (MSB)"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOST_FRAME_SIZE, 76 ,0xffffffff,        0,        0,RW,"propagateCost buffer size per frame"),
    H2REG(HWIF_ENC_CUTREE_COST0                   , 80 ,0xffffffff,        0,        0, 1,"cutree_cost for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST0_MSB               , 84 ,0xffffffff,        0,        0, 1,"cutree_cost for output frame 0 msb"),
    H2REG(HWIF_ENC_CUTREE_COST1                   , 88 ,0xffffffff,        0,        0, 1,"cutree_cost for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST1_MSB               , 92 ,0xffffffff,        0,        0, 1,"cutree_cost for output frame 1 msb"),
    H2REG(HWIF_ENC_CUTREE_COST2                   , 96 ,0xffffffff,        0,        0, 1,"cutree_cost for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST2_MSB               , 100,0xffffffff,        0,        0, 1,"cutree_cost for output frame 2 msb"),
    H2REG(HWIF_ENC_CUTREE_COST3                   , 104,0xffffffff,        0,        0, 1,"cutree_cost for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST3_MSB               , 108,0xffffffff,        0,        0, 1,"cutree_cost for output frame 3 msb"),
    H2REG(HWIF_ENC_CUTREE_COST4                   , 112,0xffffffff,        0,        0, 1,"cutree_cost for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST4_MSB               , 116,0xffffffff,        0,        0, 1,"cutree_cost for output frame 4 msb"),
    H2REG(HWIF_ENC_CUTREE_COST5                   , 120,0xffffffff,        0,        0, 1,"cutree_cost for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST5_MSB               , 124,0xffffffff,        0,        0, 1,"cutree_cost for output frame 5 msb"),
    H2REG(HWIF_ENC_CUTREE_COST6                   , 128,0xffffffff,        0,        0, 1,"cutree_cost for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST6_MSB               , 132,0xffffffff,        0,        0, 1,"cutree_cost for output frame 6 msb"),
    H2REG(HWIF_ENC_CUTREE_COST7                   , 136,0xffffffff,        0,        0, 1,"cutree_cost for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST7_MSB               , 140,0xffffffff,        0,        0, 1,"cutree_cost for output frame 7 msb"),
    H2REG(HWIF_ENC_CUTREE_COST8                   , 144,0xffffffff,        0,        0, 1,"cutree_cost for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST8_MSB               , 148,0xffffffff,        0,        0, 1,"cutree_cost for output frame 8 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD0                    , 152,0xffffffff,        0,        0, 1,"cutree command 0"),
    H2REG(HWIF_ENC_CUTREE_CMD0_MSB                , 156,0xffffffff,        0,        0, 1,"cutree command 0 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD1                    , 160,0xffffffff,        0,        0, 1,"cutree command 1"),
    H2REG(HWIF_ENC_CUTREE_CMD1_MSB                , 164,0xffffffff,        0,        0, 1,"cutree command 1 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD2                    , 168,0xffffffff,        0,        0, 1,"cutree command 2"),
    H2REG(HWIF_ENC_CUTREE_CMD2_MSB                , 172,0xffffffff,        0,        0, 1,"cutree command 2 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD3                    , 176,0xffffffff,        0,        0, 1,"cutree command 3"),
    H2REG(HWIF_ENC_CUTREE_CMD3_MSB                , 180,0xffffffff,        0,        0, 1,"cutree command 3 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD4                    , 184,0xffffffff,        0,        0, 1,"cutree command 4"),
    H2REG(HWIF_ENC_CUTREE_CMD4_MSB                , 188,0xffffffff,        0,        0, 1,"cutree command 4 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD5                    , 192,0xffffffff,        0,        0, 1,"cutree command 5"),
    H2REG(HWIF_ENC_CUTREE_CMD5_MSB                , 196,0xffffffff,        0,        0, 1,"cutree command 5 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD6                    , 200,0xffffffff,        0,        0, 1,"cutree command 6"),
    H2REG(HWIF_ENC_CUTREE_CMD6_MSB                , 204,0xffffffff,        0,        0, 1,"cutree command 6 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD7                    , 208,0xffffffff,        0,        0, 1,"cutree command 7"),
    H2REG(HWIF_ENC_CUTREE_CMD7_MSB                , 212,0xffffffff,        0,        0, 1,"cutree command 7 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD8                    , 216,0xffffffff,        0,        0, 1,"cutree command 8"),
    H2REG(HWIF_ENC_CUTREE_CMD8_MSB                , 220,0xffffffff,        0,        0, 1,"cutree command 8 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD9                    , 224,0xffffffff,        0,        0, 1,"cutree command 9"),
    H2REG(HWIF_ENC_CUTREE_CMD9_MSB                , 228,0xffffffff,        0,        0, 1,"cutree command 9 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD10                   , 232,0xffffffff,        0,        0, 1,"cutree command 10"),
    H2REG(HWIF_ENC_CUTREE_CMD10_MSB               , 236,0xffffffff,        0,        0, 1,"cutree command 10 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD11                   , 240,0xffffffff,        0,        0, 1,"cutree command 11"),
    H2REG(HWIF_ENC_CUTREE_CMD11_MSB               , 244,0xffffffff,        0,        0, 1,"cutree command 11 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD12                   , 248,0xffffffff,        0,        0, 1,"cutree command 12"),
    H2REG(HWIF_ENC_CUTREE_CMD12_MSB               , 252,0xffffffff,        0,        0, 1,"cutree command 12 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD13                   , 256,0xffffffff,        0,        0, 1,"cutree command 13"),
    H2REG(HWIF_ENC_CUTREE_CMD13_MSB               , 260,0xffffffff,        0,        0, 1,"cutree command 13 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD14                   , 264,0xffffffff,        0,        0, 1,"cutree command 14"),
    H2REG(HWIF_ENC_CUTREE_CMD14_MSB               , 268,0xffffffff,        0,        0, 1,"cutree command 14 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD15                   , 272,0xffffffff,        0,        0, 1,"cutree command 15"),
    H2REG(HWIF_ENC_CUTREE_CMD15_MSB               , 276,0xffffffff,        0,        0, 1,"cutree command 15 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD16                   , 280,0xffffffff,        0,        0, 1,"cutree command 16"),
    H2REG(HWIF_ENC_CUTREE_CMD16_MSB               , 284,0xffffffff,        0,        0, 1,"cutree command 16 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD17                   , 288,0xffffffff,        0,        0, 1,"cutree command 17"),
    H2REG(HWIF_ENC_CUTREE_CMD17_MSB               , 292,0xffffffff,        0,        0, 1,"cutree command 17 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD18                   , 296,0xffffffff,        0,        0, 1,"cutree command 18"),
    H2REG(HWIF_ENC_CUTREE_CMD18_MSB               , 300,0xffffffff,        0,        0, 1,"cutree command 18 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD19                   , 304,0xffffffff,        0,        0, 1,"cutree command 19"),
    H2REG(HWIF_ENC_CUTREE_CMD19_MSB               , 308,0xffffffff,        0,        0, 1,"cutree command 19 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD20                   , 312,0xffffffff,        0,        0, 1,"cutree command 20"),
    H2REG(HWIF_ENC_CUTREE_CMD20_MSB               , 316,0xffffffff,        0,        0, 1,"cutree command 20 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD21                   , 328,0xffffffff,        0,        0, 1,"cutree command 21"),
    H2REG(HWIF_ENC_CUTREE_CMD21_MSB               , 332,0xffffffff,        0,        0, 1,"cutree command 21 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD22                   , 336,0xffffffff,        0,        0, 1,"cutree command 22"),
    H2REG(HWIF_ENC_CUTREE_CMD22_MSB               , 340,0xffffffff,        0,        0, 1,"cutree command 22 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD23                   , 344,0xffffffff,        0,        0, 1,"cutree command 23"),
    H2REG(HWIF_ENC_CUTREE_CMD23_MSB               , 348,0xffffffff,        0,        0, 1,"cutree command 23 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD24                   , 352,0xffffffff,        0,        0, 1,"cutree command 24"),
    H2REG(HWIF_ENC_CUTREE_CMD24_MSB               , 356,0xffffffff,        0,        0, 1,"cutree command 24 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD25                   , 360,0xffffffff,        0,        0, 1,"cutree command 25"),
    H2REG(HWIF_ENC_CUTREE_CMD25_MSB               , 364,0xffffffff,        0,        0, 1,"cutree command 25 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD26                   , 368,0xffffffff,        0,        0, 1,"cutree command 26"),
    H2REG(HWIF_ENC_CUTREE_CMD26_MSB               , 372,0xffffffff,        0,        0, 1,"cutree command 26 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD27                   , 376,0xffffffff,        0,        0, 1,"cutree command 27"),
    H2REG(HWIF_ENC_CUTREE_CMD27_MSB               , 380,0xffffffff,        0,        0, 1,"cutree command 27 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD28                   , 384,0xffffffff,        0,        0, 1,"cutree command 28"),
    H2REG(HWIF_ENC_CUTREE_CMD28_MSB               , 388,0xffffffff,        0,        0, 1,"cutree command 28 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD29                   , 392,0xffffffff,        0,        0, 1,"cutree command 29"),
    H2REG(HWIF_ENC_CUTREE_CMD29_MSB               , 396,0xffffffff,        0,        0, 1,"cutree command 29 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD30                   , 400,0xffffffff,        0,        0, 1,"cutree command 30"),
    H2REG(HWIF_ENC_CUTREE_CMD30_MSB               , 404,0xffffffff,        0,        0, 1,"cutree command 30 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD31                   , 408,0xffffffff,        0,        0, 1,"cutree command 31"),
    H2REG(HWIF_ENC_CUTREE_CMD31_MSB               , 412,0xffffffff,        0,        0, 1,"cutree command 31 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD32                   , 416,0xffffffff,        0,        0, 1,"cutree command 32"),
    H2REG(HWIF_ENC_CUTREE_CMD32_MSB               , 420,0xffffffff,        0,        0, 1,"cutree command 32 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD33                   , 424,0xffffffff,        0,        0, 1,"cutree command 33"),
    H2REG(HWIF_ENC_CUTREE_CMD33_MSB               , 428,0xffffffff,        0,        0, 1,"cutree command 33 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD34                   , 432,0xffffffff,        0,        0, 1,"cutree command 34"),
    H2REG(HWIF_ENC_CUTREE_CMD34_MSB               , 436,0xffffffff,        0,        0, 1,"cutree command 34 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD35                   , 440,0xffffffff,        0,        0, 1,"cutree command 35"),
    H2REG(HWIF_ENC_CUTREE_CMD35_MSB               , 444,0xffffffff,        0,        0, 1,"cutree command 35 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD36                   , 448,0xffffffff,        0,        0, 1,"cutree command 36"),
    H2REG(HWIF_ENC_CUTREE_CMD36_MSB               , 452,0xffffffff,        0,        0, 1,"cutree command 36 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD37                   , 456,0xffffffff,        0,        0, 1,"cutree command 37"),
    H2REG(HWIF_ENC_CUTREE_CMD37_MSB               , 460,0xffffffff,        0,        0, 1,"cutree command 37 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD38                   , 464,0xffffffff,        0,        0, 1,"cutree command 38"),
    H2REG(HWIF_ENC_CUTREE_CMD38_MSB               , 468,0xffffffff,        0,        0, 1,"cutree command 38 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD39                   , 472,0xffffffff,        0,        0, 1,"cutree command 39"),
    H2REG(HWIF_ENC_CUTREE_CMD39_MSB               , 476,0xffffffff,        0,        0, 1,"cutree command 39 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD40                   , 480,0xffffffff,        0,        0, 1,"cutree command 40"),
    H2REG(HWIF_ENC_CUTREE_CMD40_MSB               , 484,0xffffffff,        0,        0, 1,"cutree command 40 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD41                   , 488,0xffffffff,        0,        0, 1,"cutree command 41"),
    H2REG(HWIF_ENC_CUTREE_CMD41_MSB               , 492,0xffffffff,        0,        0, 1,"cutree command 41 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD42                   , 496,0xffffffff,        0,        0, 1,"cutree command 42"),
    H2REG(HWIF_ENC_CUTREE_CMD42_MSB               , 500,0xffffffff,        0,        0, 1,"cutree command 42 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD43                   , 504,0xffffffff,        0,        0, 1,"cutree command 43"),
    H2REG(HWIF_ENC_CUTREE_CMD43_MSB               , 508,0xffffffff,        0,        0, 1,"cutree command 43 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD44                   , 512,0xffffffff,        0,        0, 1,"cutree command 44"),
    H2REG(HWIF_ENC_CUTREE_CMD44_MSB               , 516,0xffffffff,        0,        0, 1,"cutree command 44 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD45                   , 520,0xffffffff,        0,        0, 1,"cutree command 45"),
    H2REG(HWIF_ENC_CUTREE_CMD45_MSB               , 524,0xffffffff,        0,        0, 1,"cutree command 45 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD46                   , 528,0xffffffff,        0,        0, 1,"cutree command 46"),
    H2REG(HWIF_ENC_CUTREE_CMD46_MSB               , 532,0xffffffff,        0,        0, 1,"cutree command 46 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD47                   , 536,0xffffffff,        0,        0, 1,"cutree command 47"),
    H2REG(HWIF_ENC_CUTREE_CMD47_MSB               , 540,0xffffffff,        0,        0, 1,"cutree command 47 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD48                   , 544,0xffffffff,        0,        0, 1,"cutree command 48"),
    H2REG(HWIF_ENC_CUTREE_CMD48_MSB               , 548,0xffffffff,        0,        0, 1,"cutree command 48 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD49                   , 552,0xffffffff,        0,        0, 1,"cutree command 49"),
    H2REG(HWIF_ENC_CUTREE_CMD49_MSB               , 556,0xffffffff,        0,        0, 1,"cutree command 49 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD50                   , 560,0xffffffff,        0,        0, 1,"cutree command 50"),
    H2REG(HWIF_ENC_CUTREE_CMD50_MSB               , 564,0xffffffff,        0,        0, 1,"cutree command 50 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD51                   , 568,0xffffffff,        0,        0, 1,"cutree command 51"),
    H2REG(HWIF_ENC_CUTREE_CMD51_MSB               , 572,0xffffffff,        0,        0, 1,"cutree command 51 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD52                   , 576,0xffffffff,        0,        0, 1,"cutree command 52"),
    H2REG(HWIF_ENC_CUTREE_CMD52_MSB               , 580,0xffffffff,        0,        0, 1,"cutree command 52 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD53                   , 584,0xffffffff,        0,        0, 1,"cutree command 53"),
    H2REG(HWIF_ENC_CUTREE_CMD53_MSB               , 588,0xffffffff,        0,        0, 1,"cutree command 53 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD54                   , 592,0xffffffff,        0,        0, 1,"cutree command 54"),
    H2REG(HWIF_ENC_CUTREE_CMD54_MSB               , 596,0xffffffff,        0,        0, 1,"cutree command 54 msb"),
    H2REG(HWIF_ENC_CUTREE_CMD55                   , 600,0xffffffff,        0,        0, 1,"cutree command 55"),
    H2REG(HWIF_ENC_CUTREE_CMD55_MSB               , 604,0xffffffff,        0,        0, 1,"cutree command 55 msb"),
    H2REG(HWIF_ENC_CUTREE_POC0                    , 608,0xffffffff,        0,        0, 1,"cutree_poc for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_QP0                     , 612,0xfc000000,       26,        0, 1,"cutree_qp for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE0             , 612,0x03000000,       24,        0, 1,"cutree_codingType for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER0   , 612,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC0           , 612,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC0           , 612,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX0           , 616,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX0              , 616,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX0         , 616,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE0, 616,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE0               , 616,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX0       , 616,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 0"),
    H2REG(HWIF_ENC_CUTREE_POC1                    , 620,0xffffffff,        0,        0, 1,"cutree_poc for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_QP1                     , 624,0xfc000000,       26,        0, 1,"cutree_qp for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE1             , 624,0x03000000,       24,        0, 1,"cutree_codingType for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER1   , 624,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC1           , 624,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC1           , 624,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX1           , 628,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX1              , 628,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX1         , 628,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE1, 628,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE1               , 628,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX1       , 628,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 1"),
    H2REG(HWIF_ENC_CUTREE_POC2                    , 632,0xffffffff,        0,        0, 1,"cutree_poc for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_QP2                     , 636,0xfc000000,       26,        0, 1,"cutree_qp for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE2             , 636,0x03000000,       24,        0, 1,"cutree_codingType for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER2   , 636,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC2           , 636,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC2           , 636,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX2           , 640,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX2              , 640,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX2         , 640,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE2, 640,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE2               , 640,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX2       , 640,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 2"),
    H2REG(HWIF_ENC_CUTREE_POC3                    , 644,0xffffffff,        0,        0, 1,"cutree_poc for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_QP3                     , 648,0xfc000000,       26,        0, 1,"cutree_qp for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE3             , 648,0x03000000,       24,        0, 1,"cutree_codingType for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER3   , 648,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC3           , 648,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC3           , 648,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX3           , 652,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX3              , 652,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX3         , 652,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE3, 652,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE3               , 652,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX3       , 652,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 3"),
    H2REG(HWIF_ENC_CUTREE_POC4                    , 656,0xffffffff,        0,        0, 1,"cutree_poc for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_QP4                     , 660,0xfc000000,       26,        0, 1,"cutree_qp for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE4             , 660,0x03000000,       24,        0, 1,"cutree_codingType for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER4   , 660,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC4           , 660,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC4           , 660,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX4           , 664,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX4              , 664,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX4         , 664,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE4, 664,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE4               , 664,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX4       , 664,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 4"),
    H2REG(HWIF_ENC_CUTREE_POC5                    , 668,0xffffffff,        0,        0, 1,"cutree_poc for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_QP5                     , 672,0xfc000000,       26,        0, 1,"cutree_qp for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE5             , 672,0x03000000,       24,        0, 1,"cutree_codingType for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER5   , 672,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC5           , 672,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC5           , 672,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX5           , 676,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX5              , 676,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX5         , 676,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE5, 676,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE5               , 676,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX5       , 676,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 5"),
    H2REG(HWIF_ENC_CUTREE_POC6                    , 680,0xffffffff,        0,        0, 1,"cutree_poc for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_QP6                     , 684,0xfc000000,       26,        0, 1,"cutree_qp for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE6             , 684,0x03000000,       24,        0, 1,"cutree_codingType for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER6   , 684,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC6           , 684,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC6           , 684,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX6           , 688,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX6              , 688,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX6         , 688,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE6, 688,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE6               , 688,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX6       , 688,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 6"),
    H2REG(HWIF_ENC_CUTREE_POC7                    , 692,0xffffffff,        0,        0, 1,"cutree_poc for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_QP7                     , 696,0xfc000000,       26,        0, 1,"cutree_qp for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE7             , 696,0x03000000,       24,        0, 1,"cutree_codingType for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER7   , 696,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC7           , 696,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC7           , 696,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX7           , 700,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX7              , 700,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX7         , 700,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE7, 700,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE7               , 700,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX7       , 700,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 7"),
    H2REG(HWIF_ENC_CUTREE_POC8                    , 704,0xffffffff,        0,        0, 1,"cutree_poc for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_QP8                     , 708,0xfc000000,       26,        0, 1,"cutree_qp for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE8             , 708,0x03000000,       24,        0, 1,"cutree_codingType for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER8   , 708,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC8           , 708,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC8           , 708,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX8           , 712,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX8              , 712,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX8         , 712,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE8, 712,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE8               , 712,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX8       , 712,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 8"),
    H2REG(HWIF_ENC_CUTREE_POC9                    , 716,0xffffffff,        0,        0, 1,"cutree_poc for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_QP9                     , 720,0xfc000000,       26,        0, 1,"cutree_qp for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE9             , 720,0x03000000,       24,        0, 1,"cutree_codingType for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER9   , 720,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC9           , 720,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC9           , 720,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX9           , 724,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX9              , 724,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX9         , 724,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE9, 724,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE9               , 724,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX9       , 724,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 9"),
    H2REG(HWIF_ENC_CUTREE_POC10                   , 728,0xffffffff,        0,        0, 1,"cutree_poc for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_QP10                    , 732,0xfc000000,       26,        0, 1,"cutree_qp for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE10            , 732,0x03000000,       24,        0, 1,"cutree_codingType for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER10  , 732,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC10          , 732,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC10          , 732,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX10          , 736,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX10             , 736,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX10        , 736,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE10, 736,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE10              , 736,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX10      , 736,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 10"),
    H2REG(HWIF_ENC_CUTREE_POC11                   , 740,0xffffffff,        0,        0, 1,"cutree_poc for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_QP11                    , 744,0xfc000000,       26,        0, 1,"cutree_qp for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE11            , 744,0x03000000,       24,        0, 1,"cutree_codingType for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER11  , 744,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC11          , 744,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC11          , 744,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX11          , 748,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX11             , 748,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX11        , 748,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE11, 748,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE11              , 748,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX11      , 748,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 11"),
    H2REG(HWIF_ENC_CUTREE_POC12                   , 752,0xffffffff,        0,        0, 1,"cutree_poc for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_QP12                    , 756,0xfc000000,       26,        0, 1,"cutree_qp for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE12            , 756,0x03000000,       24,        0, 1,"cutree_codingType for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER12  , 756,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC12          , 756,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC12          , 756,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX12          , 760,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX12             , 760,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX12        , 760,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE12, 760,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE12              , 760,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX12      , 760,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 12"),
    H2REG(HWIF_ENC_CUTREE_POC13                   , 764,0xffffffff,        0,        0, 1,"cutree_poc for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_QP13                    , 768,0xfc000000,       26,        0, 1,"cutree_qp for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE13            , 768,0x03000000,       24,        0, 1,"cutree_codingType for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER13  , 768,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC13          , 768,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC13          , 768,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX13          , 772,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX13             , 772,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX13        , 772,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE13, 772,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE13              , 772,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX13      , 772,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 13"),
    H2REG(HWIF_ENC_CUTREE_POC14                   , 776,0xffffffff,        0,        0, 1,"cutree_poc for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_QP14                    , 780,0xfc000000,       26,        0, 1,"cutree_qp for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE14            , 780,0x03000000,       24,        0, 1,"cutree_codingType for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER14  , 780,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC14          , 780,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC14          , 780,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX14          , 784,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX14             , 784,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX14        , 784,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE14, 784,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE14              , 784,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX14      , 784,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 14"),
    H2REG(HWIF_ENC_CUTREE_POC15                   , 788,0xffffffff,        0,        0, 1,"cutree_poc for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_QP15                    , 792,0xfc000000,       26,        0, 1,"cutree_qp for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE15            , 792,0x03000000,       24,        0, 1,"cutree_codingType for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER15  , 792,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC15          , 792,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC15          , 792,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX15          , 796,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX15             , 796,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX15        , 796,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE15, 796,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE15              , 796,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX15      , 796,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 15"),
    H2REG(HWIF_ENC_CUTREE_POC16                   , 800,0xffffffff,        0,        0, 1,"cutree_poc for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_QP16                    , 804,0xfc000000,       26,        0, 1,"cutree_qp for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE16            , 804,0x03000000,       24,        0, 1,"cutree_codingType for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER16  , 804,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC16          , 804,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC16          , 804,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX16          , 808,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX16             , 808,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX16        , 808,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE16, 808,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE16              , 808,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX16      , 808,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 16"),
    H2REG(HWIF_ENC_CUTREE_POC17                   , 812,0xffffffff,        0,        0, 1,"cutree_poc for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_QP17                    , 816,0xfc000000,       26,        0, 1,"cutree_qp for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE17            , 816,0x03000000,       24,        0, 1,"cutree_codingType for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER17  , 816,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC17          , 816,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC17          , 816,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX17          , 820,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX17             , 820,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX17        , 820,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE17, 820,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE17              , 820,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX17      , 820,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 17"),
    H2REG(HWIF_ENC_CUTREE_POC18                   , 824,0xffffffff,        0,        0, 1,"cutree_poc for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_QP18                    , 828,0xfc000000,       26,        0, 1,"cutree_qp for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE18            , 828,0x03000000,       24,        0, 1,"cutree_codingType for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER18  , 828,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC18          , 828,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC18          , 828,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX18          , 832,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX18             , 832,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX18        , 832,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE18, 832,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE18              , 832,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX18      , 832,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 18"),
    H2REG(HWIF_ENC_CUTREE_POC19                   , 836,0xffffffff,        0,        0, 1,"cutree_poc for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_QP19                    , 840,0xfc000000,       26,        0, 1,"cutree_qp for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE19            , 840,0x03000000,       24,        0, 1,"cutree_codingType for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER19  , 840,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC19          , 840,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC19          , 840,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX19          , 844,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX19             , 844,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX19        , 844,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE19, 844,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE19              , 844,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX19      , 844,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 19"),
    H2REG(HWIF_ENC_CUTREE_POC20                   , 848,0xffffffff,        0,        0, 1,"cutree_poc for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_QP20                    , 852,0xfc000000,       26,        0, 1,"cutree_qp for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE20            , 852,0x03000000,       24,        0, 1,"cutree_codingType for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER20  , 852,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC20          , 852,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC20          , 852,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX20          , 896,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX20             , 896,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX20        , 896,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE20, 896,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE20              , 896,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX20      , 896,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 20"),
    H2REG(HWIF_ENC_CUTREE_POC21                   , 900,0xffffffff,        0,        0, 1,"cutree_poc for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_QP21                    , 908,0xfc000000,       26,        0, 1,"cutree_qp for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE21            , 908,0x03000000,       24,        0, 1,"cutree_codingType for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER21  , 908,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC21          , 908,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC21          , 908,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX21          , 912,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX21             , 912,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX21        , 912,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE21, 912,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE21              , 912,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX21      , 912,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 21"),
    H2REG(HWIF_ENC_CUTREE_POC22                   , 916,0xffffffff,        0,        0, 1,"cutree_poc for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_QP22                    , 920,0xfc000000,       26,        0, 1,"cutree_qp for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE22            , 920,0x03000000,       24,        0, 1,"cutree_codingType for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER22  , 920,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC22          , 920,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC22          , 920,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX22          , 924,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX22             , 924,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX22        , 924,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE22, 924,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE22              , 924,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX22      , 924,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 22"),
    H2REG(HWIF_ENC_CUTREE_POC23                   , 928,0xffffffff,        0,        0, 1,"cutree_poc for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_QP23                    , 932,0xfc000000,       26,        0, 1,"cutree_qp for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE23            , 932,0x03000000,       24,        0, 1,"cutree_codingType for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER23  , 932,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC23          , 932,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC23          , 932,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX23          , 936,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX23             , 936,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX23        , 936,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE23, 936,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE23              , 936,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX23      , 936,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 23"),
    H2REG(HWIF_ENC_CUTREE_POC24                   , 940,0xffffffff,        0,        0, 1,"cutree_poc for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_QP24                    , 944,0xfc000000,       26,        0, 1,"cutree_qp for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE24            , 944,0x03000000,       24,        0, 1,"cutree_codingType for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER24  , 944,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC24          , 944,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC24          , 944,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX24          , 948,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX24             , 948,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX24        , 948,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE24, 948,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE24              , 948,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX24      , 948,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 24"),
    H2REG(HWIF_ENC_CUTREE_POC25                   , 952,0xffffffff,        0,        0, 1,"cutree_poc for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_QP25                    , 956,0xfc000000,       26,        0, 1,"cutree_qp for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE25            , 956,0x03000000,       24,        0, 1,"cutree_codingType for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER25  , 956,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC25          , 956,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC25          , 956,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX25          , 960,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX25             , 960,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX25        , 960,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE25, 960,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE25              , 960,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX25      , 960,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 25"),
    H2REG(HWIF_ENC_CUTREE_POC26                   , 964,0xffffffff,        0,        0, 1,"cutree_poc for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_QP26                    , 968,0xfc000000,       26,        0, 1,"cutree_qp for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE26            , 968,0x03000000,       24,        0, 1,"cutree_codingType for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER26  , 968,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC26          , 968,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC26          , 968,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX26          , 972,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX26             , 972,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX26        , 972,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE26, 972,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE26              , 972,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX26      , 972,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 26"),
    H2REG(HWIF_ENC_CUTREE_POC27                   , 976,0xffffffff,        0,        0, 1,"cutree_poc for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_QP27                    , 980,0xfc000000,       26,        0, 1,"cutree_qp for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE27            , 980,0x03000000,       24,        0, 1,"cutree_codingType for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER27  , 980,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC27          , 980,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC27          , 980,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX27          , 988,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX27             , 988,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX27        , 988,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE27, 988,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE27              , 988,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX27      , 988,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 27"),
    H2REG(HWIF_ENC_CUTREE_POC28                   , 992,0xffffffff,        0,        0, 1,"cutree_poc for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_QP28                    , 996,0xfc000000,       26,        0, 1,"cutree_qp for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE28            , 996,0x03000000,       24,        0, 1,"cutree_codingType for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER28  , 996,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC28          , 996,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC28          , 996,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX28          , 1000,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX28             , 1000,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX28        , 1000,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE28, 1000,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE28              , 1000,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX28      , 1000,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 28"),
    H2REG(HWIF_ENC_CUTREE_POC29                   , 1004,0xffffffff,        0,        0, 1,"cutree_poc for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_QP29                    , 1008,0xfc000000,       26,        0, 1,"cutree_qp for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE29            , 1008,0x03000000,       24,        0, 1,"cutree_codingType for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER29  , 1008,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC29          , 1008,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC29          , 1008,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX29          , 1012,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX29             , 1012,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX29        , 1012,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE29, 1012,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE29              , 1012,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX29      , 1012,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 29"),
    H2REG(HWIF_ENC_CUTREE_POC30                   , 1016,0xffffffff,        0,        0, 1,"cutree_poc for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_QP30                    , 1020,0xfc000000,       26,        0, 1,"cutree_qp for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE30            , 1020,0x03000000,       24,        0, 1,"cutree_codingType for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER30  , 1020,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC30          , 1020,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC30          , 1020,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX30          , 1024,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX30             , 1024,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX30        , 1024,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE30, 1024,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE30              , 1024,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX30      , 1024,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 30"),
    H2REG(HWIF_ENC_CUTREE_POC31                   , 1028,0xffffffff,        0,        0, 1,"cutree_poc for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_QP31                    , 1032,0xfc000000,       26,        0, 1,"cutree_qp for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE31            , 1032,0x03000000,       24,        0, 1,"cutree_codingType for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER31  , 1032,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC31          , 1032,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC31          , 1032,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX31          , 1036,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX31             , 1036,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX31        , 1036,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE31, 1036,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE31              , 1036,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX31      , 1036,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 31"),
    H2REG(HWIF_ENC_CUTREE_POC32                   , 1040,0xffffffff,        0,        0, 1,"cutree_poc for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_QP32                    , 1048,0xfc000000,       26,        0, 1,"cutree_qp for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE32            , 1048,0x03000000,       24,        0, 1,"cutree_codingType for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER32  , 1048,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC32          , 1048,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC32          , 1048,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX32          , 1052,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX32             , 1052,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX32        , 1052,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE32, 1052,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE32              , 1052,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX32      , 1052,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 32"),
    H2REG(HWIF_ENC_CUTREE_POC33                   , 1056,0xffffffff,        0,        0, 1,"cutree_poc for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_QP33                    , 1060,0xfc000000,       26,        0, 1,"cutree_qp for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE33            , 1060,0x03000000,       24,        0, 1,"cutree_codingType for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER33  , 1060,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC33          , 1060,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC33          , 1060,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX33          , 1064,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX33             , 1064,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX33        , 1064,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE33, 1064,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE33              , 1064,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX33      , 1064,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 33"),
    H2REG(HWIF_ENC_CUTREE_POC34                   , 1068,0xffffffff,        0,        0, 1,"cutree_poc for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_QP34                    , 1072,0xfc000000,       26,        0, 1,"cutree_qp for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE34            , 1072,0x03000000,       24,        0, 1,"cutree_codingType for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER34  , 1072,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC34          , 1072,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC34          , 1072,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX34          , 1076,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX34             , 1076,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX34        , 1076,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE34, 1076,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE34              , 1076,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX34      , 1076,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 34"),
    H2REG(HWIF_ENC_CUTREE_POC35                   , 1080,0xffffffff,        0,        0, 1,"cutree_poc for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_QP35                    , 1084,0xfc000000,       26,        0, 1,"cutree_qp for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE35            , 1084,0x03000000,       24,        0, 1,"cutree_codingType for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER35  , 1084,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC35          , 1084,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC35          , 1084,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_OUTPUT_BLOCKUNITSIZE    , 1088,0xc0000000,       30,        0,RW,"Output block unit size of cutree. 0=64x64. 1=32x32. 2=16x16. 3=8x8"),
    H2REG(HWIF_ENC_CUTREE_TIMEOUT_CYCLES_MSB      , 1088,0x000001ff,        0,        0,RW,"Extend swreg81. Timeout cycles number. Bits 31:23."),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX35          , 1092,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX35             , 1092,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX35        , 1092,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE35, 1092,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE35              , 1092,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX35      , 1092,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 35"),
    H2REG(HWIF_ENC_CUTREE_POC36                   , 1096,0xffffffff,        0,        0, 1,"cutree_poc for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_QP36                    , 1100,0xfc000000,       26,        0, 1,"cutree_qp for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE36            , 1100,0x03000000,       24,        0, 1,"cutree_codingType for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER36  , 1100,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC36          , 1100,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC36          , 1100,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX36          , 1104,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX36             , 1104,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX36        , 1104,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE36, 1104,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE36              , 1104,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX36      , 1104,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 36"),
    H2REG(HWIF_ENC_CUTREE_POC37                   , 1108,0xffffffff,        0,        0, 1,"cutree_poc for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_QP37                    , 1112,0xfc000000,       26,        0, 1,"cutree_qp for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE37            , 1112,0x03000000,       24,        0, 1,"cutree_codingType for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER37  , 1112,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC37          , 1112,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC37          , 1112,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX37          , 1116,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX37             , 1116,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX37        , 1116,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE37, 1116,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE37              , 1116,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX37      , 1116,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 37"),
    H2REG(HWIF_ENC_CUTREE_POC38                   , 1120,0xffffffff,        0,        0, 1,"cutree_poc for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_QP38                    , 1124,0xfc000000,       26,        0, 1,"cutree_qp for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE38            , 1124,0x03000000,       24,        0, 1,"cutree_codingType for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER38  , 1124,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC38          , 1124,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC38          , 1124,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX38          , 1128,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX38             , 1128,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX38        , 1128,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE38, 1128,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE38              , 1128,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX38      , 1128,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 38"),
    H2REG(HWIF_ENC_CUTREE_POC39                   , 1132,0xffffffff,        0,        0, 1,"cutree_poc for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_QP39                    , 1136,0xfc000000,       26,        0, 1,"cutree_qp for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE39            , 1136,0x03000000,       24,        0, 1,"cutree_codingType for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER39  , 1136,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC39          , 1136,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC39          , 1136,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX39          , 1140,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX39             , 1140,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX39        , 1140,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE39, 1140,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE39              , 1140,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX39      , 1140,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 39"),
    H2REG(HWIF_ENC_CUTREE_POC40                   , 1144,0xffffffff,        0,        0, 1,"cutree_poc for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_QP40                    , 1152,0xfc000000,       26,        0, 1,"cutree_qp for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE40            , 1152,0x03000000,       24,        0, 1,"cutree_codingType for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER40  , 1152,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC40          , 1152,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC40          , 1152,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX40          , 1156,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX40             , 1156,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX40        , 1156,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE40, 1156,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE40              , 1156,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX40      , 1156,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 40"),
    H2REG(HWIF_ENC_CUTREE_POC41                   , 1160,0xffffffff,        0,        0, 1,"cutree_poc for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_QP41                    , 1164,0xfc000000,       26,        0, 1,"cutree_qp for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE41            , 1164,0x03000000,       24,        0, 1,"cutree_codingType for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER41  , 1164,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC41          , 1164,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC41          , 1164,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX41          , 1168,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX41             , 1168,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX41        , 1168,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE41, 1168,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE41              , 1168,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX41      , 1168,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 41"),
    H2REG(HWIF_ENC_CUTREE_POC42                   , 1172,0xffffffff,        0,        0, 1,"cutree_poc for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_QP42                    , 1176,0xfc000000,       26,        0, 1,"cutree_qp for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE42            , 1176,0x03000000,       24,        0, 1,"cutree_codingType for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER42  , 1176,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC42          , 1176,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC42          , 1176,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX42          , 1180,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX42             , 1180,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX42        , 1180,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE42, 1180,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE42              , 1180,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX42      , 1180,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 42"),
    H2REG(HWIF_ENC_CUTREE_POC43                   , 1184,0xffffffff,        0,        0, 1,"cutree_poc for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_QP43                    , 1188,0xfc000000,       26,        0, 1,"cutree_qp for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE43            , 1188,0x03000000,       24,        0, 1,"cutree_codingType for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER43  , 1188,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC43          , 1188,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC43          , 1188,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX43          , 1192,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX43             , 1192,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX43        , 1192,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE43, 1192,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE43              , 1192,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX43      , 1192,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 43"),
    H2REG(HWIF_ENC_CUTREE_POC44                   , 1196,0xffffffff,        0,        0, 1,"cutree_poc for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_QP44                    , 1200,0xfc000000,       26,        0, 1,"cutree_qp for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE44            , 1200,0x03000000,       24,        0, 1,"cutree_codingType for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER44  , 1200,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC44          , 1200,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC44          , 1200,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX44          , 1204,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX44             , 1204,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX44        , 1204,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE44, 1204,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE44              , 1204,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX44      , 1204,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 44"),
    H2REG(HWIF_ENC_CUTREE_POC45                   , 1208,0xffffffff,        0,        0, 1,"cutree_poc for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_QP45                    , 1212,0xfc000000,       26,        0, 1,"cutree_qp for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE45            , 1212,0x03000000,       24,        0, 1,"cutree_codingType for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER45  , 1212,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC45          , 1212,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC45          , 1212,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX45          , 1216,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX45             , 1216,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX45        , 1216,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE45, 1216,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE45              , 1216,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX45      , 1216,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 45"),
    H2REG(HWIF_ENC_CUTREE_POC46                   , 1220,0xffffffff,        0,        0, 1,"cutree_poc for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_QP46                    , 1224,0xfc000000,       26,        0, 1,"cutree_qp for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE46            , 1224,0x03000000,       24,        0, 1,"cutree_codingType for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER46  , 1224,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC46          , 1224,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC46          , 1224,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX46          , 1228,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX46             , 1228,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX46        , 1228,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE46, 1228,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE46              , 1228,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX46      , 1228,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 46"),
    H2REG(HWIF_ENC_CUTREE_POC47                   , 1232,0xffffffff,        0,        0, 1,"cutree_poc for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_QP47                    , 1236,0xfc000000,       26,        0, 1,"cutree_qp for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_CODINGTYPE47            , 1236,0x03000000,       24,        0, 1,"cutree_codingType for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_ENCODED_FRAME_NUMBER47  , 1236,0x00f00000,       20,        0, 1,"cutree_encoded_frame_number for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_L0_DELTA_POC47          , 1236,0x000ffc00,       10,        0, 1,"cutree_l0_delta_poc for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_L1_DELTA_POC47          , 1236,0x000003ff,        0,        0, 1,"cutree_l1_delta_poc for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_CTUOFFSETIDX47          , 1240,0xfc000000,       26,        0, 1,"cutree_ctuOffsetIdx for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_CUDATAIDX47             , 1240,0x03f00000,       20,        0, 1,"cutree_cuDataIdx for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAIDX47        , 1240,0x000fc000,       14,        0, 1,"cutree_RoiMapDeltaIdx for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_HIERARCHIAL_BIT_ALLOCATION_GOP_SIZE47, 1240,0x00003c00,       10,        0, 1,"cutree_hierarchial_bit_allocation_GOP_size for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_AGOPSIZE47              , 1240,0x000003c0,        6,        0, 1,"cutree_aGopSize for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_PROPAGATECOSTIDX47      , 1240,0x0000003f,        0,        0, 1,"cutree_propagateCostIdx for input frame 47"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP0               , 1244,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP0               , 1248,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP0               , 1252,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP0               , 1256,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX0   , 1260,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP0           , 1260,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP0           , 1260,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP0           , 1260,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP0           , 1260,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG0               , 1264,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG0               , 1268,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG0               , 1272,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG0               , 1276,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM0          , 1280,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM0          , 1280,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM0          , 1280,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM0          , 1280,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 0"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP1               , 1284,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP1               , 1288,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP1               , 1292,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP1               , 1296,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX1   , 1300,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP1           , 1300,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP1           , 1300,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP1           , 1300,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP1           , 1300,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG1               , 1304,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG1               , 1308,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG1               , 1312,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG1               , 1316,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM1          , 1320,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM1          , 1320,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM1          , 1320,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM1          , 1320,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 1"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP2               , 1324,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP2               , 1328,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP2               , 1332,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP2               , 1336,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX2   , 1340,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP2           , 1340,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP2           , 1340,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP2           , 1340,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP2           , 1340,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG2               , 1344,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG2               , 1348,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG2               , 1352,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG2               , 1356,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM2          , 1360,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM2          , 1360,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM2          , 1360,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM2          , 1360,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 2"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP3               , 1364,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP3               , 1368,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP3               , 1372,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP3               , 1376,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX3   , 1380,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP3           , 1380,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP3           , 1380,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP3           , 1380,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP3           , 1380,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG3               , 1384,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG3               , 1388,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG3               , 1392,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG3               , 1396,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM3          , 1400,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM3          , 1400,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM3          , 1400,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM3          , 1400,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 3"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP4               , 1404,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP4               , 1408,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP4               , 1412,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP4               , 1416,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX4   , 1420,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP4           , 1420,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP4           , 1420,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP4           , 1420,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP4           , 1420,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG4               , 1424,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG4               , 1428,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG4               , 1432,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG4               , 1436,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM4          , 1440,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM4          , 1440,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM4          , 1440,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM4          , 1440,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 4"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP5               , 1444,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP5               , 1448,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP5               , 1452,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP5               , 1456,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX5   , 1460,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP5           , 1460,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP5           , 1460,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP5           , 1460,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP5           , 1460,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG5               , 1464,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG5               , 1468,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG5               , 1472,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG5               , 1476,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM5          , 1480,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM5          , 1480,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM5          , 1480,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM5          , 1480,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 5"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP6               , 1484,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP6               , 1488,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP6               , 1492,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP6               , 1496,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX6   , 1500,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP6           , 1500,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP6           , 1500,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP6           , 1500,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP6           , 1500,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG6               , 1504,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG6               , 1508,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG6               , 1512,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG6               , 1516,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM6          , 1520,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM6          , 1520,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM6          , 1520,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM6          , 1520,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 6"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP7               , 1524,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP7               , 1528,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP7               , 1532,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP7               , 1536,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX7   , 1540,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP7           , 1540,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP7           , 1540,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP7           , 1540,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP7           , 1540,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG7               , 1544,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG7               , 1548,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG7               , 1552,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG7               , 1556,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM7          , 1560,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM7          , 1560,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM7          , 1560,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM7          , 1560,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 7"),
    H2REG(HWIF_ENC_CUTREE_COST0GOP8               , 1564,0xffffffff,        0,        0, 1,"cutree_cost0Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST1GOP8               , 1568,0xffffffff,        0,        0, 1,"cutree_cost1Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST2GOP8               , 1572,0xffffffff,        0,        0, 1,"cutree_cost2Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST3GOP8               , 1576,0xffffffff,        0,        0, 1,"cutree_cost3Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_ROIMAPDELTAQPADDRIDX8   , 1580,0xfc000000,       26,        0, 1,"cutree_roiMapDeltaQpAddrIdx for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM0GOP8           , 1580,0x03f00000,       20,        0, 1,"cutree_FrameNum0Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM1GOP8           , 1580,0x000fc000,       14,        0, 1,"cutree_FrameNum1Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM2GOP8           , 1580,0x00003f00,        8,        0, 1,"cutree_FrameNum2Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMENUM3GOP8           , 1580,0x000000fc,        2,        0, 1,"cutree_FrameNum3Gop for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST0AVG8               , 1584,0xffffffff,        0,        0, 1,"cutree_cost0Avg for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST1AVG8               , 1588,0xffffffff,        0,        0, 1,"cutree_cost1Avg for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST2AVG8               , 1592,0xffffffff,        0,        0, 1,"cutree_cost2Avg for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST3AVG8               , 1596,0xffffffff,        0,        0, 1,"cutree_cost3Avg for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE0NUM8          , 1600,0xfc000000,       26,        0, 1,"cutree_FrameType0Num for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE1NUM8          , 1600,0x03f00000,       20,        0, 1,"cutree_FrameType1Num for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE2NUM8          , 1600,0x000fc000,       14,        0, 1,"cutree_FrameType2Num for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_FRAMETYPE3NUM8          , 1600,0x00003f00,        8,        0, 1,"cutree_FrameType3Num for output frame 8"),
    H2REG(HWIF_ENC_CUTREE_COST9                   , 1604,0xffffffff,        0,        0, 1,"cutree_cost for output frame 9"),
    H2REG(HWIF_ENC_CUTREE_COST9_MSB               , 1608,0xffffffff,        0,        0, 1,"cutree_cost for output frame 9 msb"),
    H2REG(HWIF_ENC_CUTREE_COST10                  , 1612,0xffffffff,        0,        0, 1,"cutree_cost for output frame 10"),
    H2REG(HWIF_ENC_CUTREE_COST10_MSB              , 1616,0xffffffff,        0,        0, 1,"cutree_cost for output frame 10 msb"),
    H2REG(HWIF_ENC_CUTREE_COST11                  , 1620,0xffffffff,        0,        0, 1,"cutree_cost for output frame 11"),
    H2REG(HWIF_ENC_CUTREE_COST11_MSB              , 1624,0xffffffff,        0,        0, 1,"cutree_cost for output frame 11 msb"),
    H2REG(HWIF_ENC_CUTREE_COST12                  , 1628,0xffffffff,        0,        0, 1,"cutree_cost for output frame 12"),
    H2REG(HWIF_ENC_CUTREE_COST12_MSB              , 1632,0xffffffff,        0,        0, 1,"cutree_cost for output frame 12 msb"),
    H2REG(HWIF_ENC_CUTREE_COST13                  , 1636,0xffffffff,        0,        0, 1,"cutree_cost for output frame 13"),
    H2REG(HWIF_ENC_CUTREE_COST13_MSB              , 1640,0xffffffff,        0,        0, 1,"cutree_cost for output frame 13 msb"),
    H2REG(HWIF_ENC_CUTREE_COST14                  , 1644,0xffffffff,        0,        0, 1,"cutree_cost for output frame 14"),
    H2REG(HWIF_ENC_CUTREE_COST14_MSB              , 1648,0xffffffff,        0,        0, 1,"cutree_cost for output frame 14 msb"),
    H2REG(HWIF_ENC_CUTREE_COST15                  , 1652,0xffffffff,        0,        0, 1,"cutree_cost for output frame 15"),
    H2REG(HWIF_ENC_CUTREE_COST15_MSB              , 1656,0xffffffff,        0,        0, 1,"cutree_cost for output frame 15 msb"),
    H2REG(HWIF_ENC_CUTREE_COST16                  , 1660,0xffffffff,        0,        0, 1,"cutree_cost for output frame 16"),
    H2REG(HWIF_ENC_CUTREE_COST16_MSB              , 1664,0xffffffff,        0,        0, 1,"cutree_cost for output frame 16 msb"),
    H2REG(HWIF_ENC_CUTREE_COST17                  , 1668,0xffffffff,        0,        0, 1,"cutree_cost for output frame 17"),
    H2REG(HWIF_ENC_CUTREE_COST17_MSB              , 1672,0xffffffff,        0,        0, 1,"cutree_cost for output frame 17 msb"),
    H2REG(HWIF_ENC_CUTREE_COST18                  , 1676,0xffffffff,        0,        0, 1,"cutree_cost for output frame 18"),
    H2REG(HWIF_ENC_CUTREE_COST18_MSB              , 1680,0xffffffff,        0,        0, 1,"cutree_cost for output frame 18 msb"),
    H2REG(HWIF_ENC_CUTREE_COST19                  , 1684,0xffffffff,        0,        0, 1,"cutree_cost for output frame 19"),
    H2REG(HWIF_ENC_CUTREE_COST19_MSB              , 1688,0xffffffff,        0,        0, 1,"cutree_cost for output frame 19 msb"),
    H2REG(HWIF_ENC_CUTREE_COST20                  , 1692,0xffffffff,        0,        0, 1,"cutree_cost for output frame 20"),
    H2REG(HWIF_ENC_CUTREE_COST20_MSB              , 1696,0xffffffff,        0,        0, 1,"cutree_cost for output frame 20 msb"),
    H2REG(HWIF_ENC_CUTREE_COST21                  , 1700,0xffffffff,        0,        0, 1,"cutree_cost for output frame 21"),
    H2REG(HWIF_ENC_CUTREE_COST21_MSB              , 1704,0xffffffff,        0,        0, 1,"cutree_cost for output frame 21 msb"),
    H2REG(HWIF_ENC_CUTREE_COST22                  , 1708,0xffffffff,        0,        0, 1,"cutree_cost for output frame 22"),
    H2REG(HWIF_ENC_CUTREE_COST22_MSB              , 1712,0xffffffff,        0,        0, 1,"cutree_cost for output frame 22 msb"),
    H2REG(HWIF_ENC_CUTREE_COST23                  , 1716,0xffffffff,        0,        0, 1,"cutree_cost for output frame 23"),
    H2REG(HWIF_ENC_CUTREE_COST23_MSB              , 1720,0xffffffff,        0,        0, 1,"cutree_cost for output frame 23 msb"),
    H2REG(HWIF_ENC_CUTREE_COST24                  , 1724,0xffffffff,        0,        0, 1,"cutree_cost for output frame 24"),
    H2REG(HWIF_ENC_CUTREE_COST24_MSB              , 1728,0xffffffff,        0,        0, 1,"cutree_cost for output frame 24 msb"),
    H2REG(HWIF_ENC_CUTREE_COST25                  , 1732,0xffffffff,        0,        0, 1,"cutree_cost for output frame 25"),
    H2REG(HWIF_ENC_CUTREE_COST25_MSB              , 1736,0xffffffff,        0,        0, 1,"cutree_cost for output frame 25 msb"),
    H2REG(HWIF_ENC_CUTREE_COST26                  , 1740,0xffffffff,        0,        0, 1,"cutree_cost for output frame 26"),
    H2REG(HWIF_ENC_CUTREE_COST26_MSB              , 1744,0xffffffff,        0,        0, 1,"cutree_cost for output frame 26 msb"),
    H2REG(HWIF_ENC_CUTREE_COST27                  , 1748,0xffffffff,        0,        0, 1,"cutree_cost for output frame 27"),
    H2REG(HWIF_ENC_CUTREE_COST27_MSB              , 1752,0xffffffff,        0,        0, 1,"cutree_cost for output frame 27 msb"),
    H2REG(HWIF_ENC_CUTREE_COST28                  , 1756,0xffffffff,        0,        0, 1,"cutree_cost for output frame 28"),
    H2REG(HWIF_ENC_CUTREE_COST28_MSB              , 1760,0xffffffff,        0,        0, 1,"cutree_cost for output frame 28 msb"),
    H2REG(HWIF_ENC_CUTREE_COST29                  , 1764,0xffffffff,        0,        0, 1,"cutree_cost for output frame 29"),
    H2REG(HWIF_ENC_CUTREE_COST29_MSB              , 1768,0xffffffff,        0,        0, 1,"cutree_cost for output frame 29 msb"),
    H2REG(HWIF_ENC_CUTREE_COST30                  , 1772,0xffffffff,        0,        0, 1,"cutree_cost for output frame 30"),
    H2REG(HWIF_ENC_CUTREE_COST30_MSB              , 1776,0xffffffff,        0,        0, 1,"cutree_cost for output frame 30 msb"),
    H2REG(HWIF_ENC_CUTREE_COST31                  , 1780,0xffffffff,        0,        0, 1,"cutree_cost for output frame 31"),
    H2REG(HWIF_ENC_CUTREE_COST31_MSB              , 1784,0xffffffff,        0,        0, 1,"cutree_cost for output frame 31 msb"),
    H2REG(HWIF_ENC_CUTREE_COST32                  , 1788,0xffffffff,        0,        0, 1,"cutree_cost for output frame 32"),
    H2REG(HWIF_ENC_CUTREE_COST32_MSB              , 1792,0xffffffff,        0,        0, 1,"cutree_cost for output frame 32 msb"),
    H2REG(HWIF_ENC_CUTREE_COST33                  , 1796,0xffffffff,        0,        0, 1,"cutree_cost for output frame 33"),
    H2REG(HWIF_ENC_CUTREE_COST33_MSB              , 1800,0xffffffff,        0,        0, 1,"cutree_cost for output frame 33 msb"),
    H2REG(HWIF_ENC_CUTREE_COST34                  , 1804,0xffffffff,        0,        0, 1,"cutree_cost for output frame 34"),
    H2REG(HWIF_ENC_CUTREE_COST34_MSB              , 1808,0xffffffff,        0,        0, 1,"cutree_cost for output frame 34 msb"),
    H2REG(HWIF_ENC_CUTREE_COST35                  , 1812,0xffffffff,        0,        0, 1,"cutree_cost for output frame 35"),
    H2REG(HWIF_ENC_CUTREE_COST35_MSB              , 1816,0xffffffff,        0,        0, 1,"cutree_cost for output frame 35 msb"),
    H2REG(HWIF_ENC_CUTREE_COST36                  , 1820,0xffffffff,        0,        0, 1,"cutree_cost for output frame 36"),
    H2REG(HWIF_ENC_CUTREE_COST36_MSB              , 1824,0xffffffff,        0,        0, 1,"cutree_cost for output frame 36 msb"),
    H2REG(HWIF_ENC_CUTREE_COST37                  , 1828,0xffffffff,        0,        0, 1,"cutree_cost for output frame 37"),
    H2REG(HWIF_ENC_CUTREE_COST37_MSB              , 1832,0xffffffff,        0,        0, 1,"cutree_cost for output frame 37 msb"),
    H2REG(HWIF_ENC_CUTREE_COST38                  , 1836,0xffffffff,        0,        0, 1,"cutree_cost for output frame 38"),
    H2REG(HWIF_ENC_CUTREE_COST38_MSB              , 1840,0xffffffff,        0,        0, 1,"cutree_cost for output frame 38 msb"),
    H2REG(HWIF_ENC_CUTREE_COST39                  , 1844,0xffffffff,        0,        0, 1,"cutree_cost for output frame 39"),
    H2REG(HWIF_ENC_CUTREE_COST39_MSB              , 1848,0xffffffff,        0,        0, 1,"cutree_cost for output frame 39 msb"),
    H2REG(HWIF_ENC_CUTREE_COST40                  , 1852,0xffffffff,        0,        0, 1,"cutree_cost for output frame 40"),
    H2REG(HWIF_ENC_CUTREE_COST40_MSB              , 1856,0xffffffff,        0,        0, 1,"cutree_cost for output frame 40 msb"),
    H2REG(HWIF_ENC_CUTREE_COST41                  , 1860,0xffffffff,        0,        0, 1,"cutree_cost for output frame 41"),
    H2REG(HWIF_ENC_CUTREE_COST41_MSB              , 1864,0xffffffff,        0,        0, 1,"cutree_cost for output frame 41 msb"),
    H2REG(HWIF_ENC_CUTREE_COST42                  , 1868,0xffffffff,        0,        0, 1,"cutree_cost for output frame 42"),
    H2REG(HWIF_ENC_CUTREE_COST42_MSB              , 1872,0xffffffff,        0,        0, 1,"cutree_cost for output frame 42 msb"),
    H2REG(HWIF_ENC_CUTREE_COST43                  , 1876,0xffffffff,        0,        0, 1,"cutree_cost for output frame 43"),
    H2REG(HWIF_ENC_CUTREE_COST43_MSB              , 1880,0xffffffff,        0,        0, 1,"cutree_cost for output frame 43 msb"),
    H2REG(HWIF_ENC_CUTREE_COST44                  , 1884,0xffffffff,        0,        0, 1,"cutree_cost for output frame 44"),
    H2REG(HWIF_ENC_CUTREE_COST44_MSB              , 1888,0xffffffff,        0,        0, 1,"cutree_cost for output frame 44 msb"),
    H2REG(HWIF_ENC_CUTREE_COST45                  , 1892,0xffffffff,        0,        0, 1,"cutree_cost for output frame 45"),
    H2REG(HWIF_ENC_CUTREE_COST45_MSB              , 1896,0xffffffff,        0,        0, 1,"cutree_cost for output frame 45 msb"),
    H2REG(HWIF_ENC_CUTREE_COST46                  , 1900,0xffffffff,        0,        0, 1,"cutree_cost for output frame 46"),
    H2REG(HWIF_ENC_CUTREE_COST46_MSB              , 1904,0xffffffff,        0,        0, 1,"cutree_cost for output frame 46 msb"),
    H2REG(HWIF_ENC_CUTREE_COST47                  , 1908,0xffffffff,        0,        0, 1,"cutree_cost for output frame 47"),
    H2REG(HWIF_ENC_CUTREE_COST47_MSB              , 1912,0xffffffff,        0,        0, 1,"cutree_cost for output frame 47 msb"),
